/********************************************************************************************************************************/
/* Created: 27-JAN-1995 18:38:47 by OpenVMS SDL EV1-36	   */
/* Source:  27-JAN-1995 18:35:52 $64$DUA2510:[STARLET_H.SRC]STARLET.SDI;1 */
/********************************************************************************************************************************/
/*** MODULE STARLET ***/
#ifndef __STARLET_LOADED
#define __STARLET_LOADED 1

#ifdef __cplusplus
    extern "C" {
#define __unknown_params ...
#else
#define __unknown_params
#endif

#define __struct struct
#define __union union

/*									    */
/* SYSTEM SERVICE ENTRY POINT DESCRIPTIONS				    */
/*									    */
/*									    */
/*  $ADD_HOLDER								    */
/*									    */
/*    Add Holder Record To The Rights Database				    */
/*									    */
/*	$ADD_HOLDER id, holder, [attrib]				    */
/*									    */
/*	id	= identifier longword to associate the			    */
/*		  holder record with					    */
/*	holder	= address of the holder identifier quadword		    */
/*	attrib	= attributes longword to grant to the holder		    */
/*									    */
#define	 sys$add_holder	 SYS$ADD_HOLDER
int sys$add_holder(__unknown_params);
/*									    */
/*  $ADD_IDENT								    */
/*									    */
/*    Add Identifier To The Rights Database				    */
/*									    */
/*	$ADD_IDENT name, [id], [attrib], [resid]			    */
/*									    */
/*	name	= address of the identifier name character		    */
/*		  string descriptor					    */
/*	id	= identifier longword to associate with 'name'		    */
/*	attrib	= attributes longword to grant to the			    */
/*		  identifier						    */
/*	resid	= address of a longword to return the assigned		    */
/*		  identifier						    */
/*									    */
#define	 sys$add_ident	SYS$ADD_IDENT
int sys$add_ident(__unknown_params);
/*									    */
/*  $ADD_MAPPING							    */
/*									    */
/*    Add Mapping record to Mapping database				    */
/*									    */
/*     $ADD_MAPPING initmlst						    */
/*									    */
/*     initmlst	 = address of a list of item descriptors for the operation  */
/*									    */
#define	 sys$add_mapping  SYS$ADD_MAPPING
int sys$add_mapping(__unknown_params);
/*									    */
/*  $ADD_PROXY								    */
/*									    */
/*    Add proxy record							    */
/*									    */
/*	$ADD_PROXY  rem_node, rem_user, local_user, [flags]		    */
/*									    */
/*	rem_node    in	    address of remote node descriptor		    */
/*	rem_user    in	    address of remote user descriptor		    */
/*	local_user  in	    address of local user descriptor		    */
/*	flags	    in	    proxy service flags				    */
/*									    */
#define	 sys$add_proxy	SYS$ADD_PROXY
int sys$add_proxy(__unknown_params);
/*									    */
/*  $ADJSTK								    */
/*									    */
/*    Adjust Outer Mode Stack Pointer					    */
/*									    */
/*	$ADJSTK [acmode] ,[adjust] ,newadr				    */
/*									    */
/*	acmode = access mode for which to adjust stack pointer		    */
/*	adjust = 16-bit signed adjustment value				    */
/*	newadr = address of longword to store updated value		    */
/*									    */
#define	 sys$adjstk  SYS$ADJSTK
int sys$adjstk(__unknown_params);
/*									    */
/*  $ADJWSL								    */
/*									    */
/*    Adjust Working Set Limit						    */
/*									    */
/*	$ADJWSL [pagcnt] ,[wsetlm]					    */
/*									    */
/*	pagcnt = number of pages to add to working set (if  positive).	    */
/*		 Number	 of  pages  to	subtract  from working set (if	    */
/*		 negative).						    */
/*	wsetlm = address of longword to receive new working set limit,	    */
/*		 or current working set limit if pagcnt not specified.	    */
/*									    */
#define	 sys$adjwsl  SYS$ADJWSL
int sys$adjwsl(__unknown_params);
/*									    */
/*  $ALLOC								    */
/*									    */
/*    Allocate Device							    */
/*									    */
/*	$ALLOC devnam ,[phylen] ,[phybuf] ,[acmode] ,[flags]		    */
/*									    */
/*	devnam = address  of  device  name  or	logical	 name	string	    */
/*		 descriptor						    */
/*	phylen = address of word to receive length of physical name	    */
/*	phybuf = address of physical name buffer descriptor		    */
/*	acmode = access mode associated with allocated device		    */
/*	flags  = options flags longword					    */
/*									    */
#define	 sys$alloc  SYS$ALLOC
int sys$alloc(__unknown_params);
/*									    */
/*  $ASCEFC								    */
/*									    */
/*    Associate Common Event Flag Cluster				    */
/*									    */
/*	$ASCEFC	 efn ,name ,[prot] ,[perm]				    */
/*									    */
/*	efn    = number of any event flag in the cluster with which to	    */
/*		 associate						    */
/*	name   = address of the text name string descriptor		    */
/*	prot   = protection indicator for the cluster			    */
/*		 0 -> default, any process in group			    */
/*		 1 -> only owner's UIC					    */
/*	perm   = permanent indicator					    */
/*		 0 -> temporary cluster					    */
/*		 1 -> permanent cluster					    */
/*									    */
#define	 sys$ascefc  SYS$ASCEFC
int sys$ascefc(__unknown_params);
/*									    */
/*  $ASCTIM								    */
/*									    */
/*    Convert Binary Time to ASCII String				    */
/*									    */
/*	$ASCTIM	 [timlen] ,timbuf ,[timadr] ,[cvtflg]			    */
/*									    */
/*	timlen = address of a word to receive the number of characters	    */
/*		 inserted into the output buffer.			    */
/*	timbuf = address  of a	character string descriptor describing	    */
/*		 the buffer to receive the converted time.		    */
/*	timadr = address of the quadword containing the 64-bit time to	    */
/*		 be converted to ASCII.	 If 0, use current time.	    */
/*	cvtflg = conversion indicator					    */
/*		 0 -> return full date and time				    */
/*		 1 -> return converted time only			    */
/*									    */
#define	 sys$asctim  SYS$ASCTIM
int sys$asctim(__unknown_params);
/*									    */
/*  $ASCTOID								    */
/*									    */
/*    Ascii To Identifier Conversion					    */
/*									    */
/*	$ASCTOID name, [id], [attrib]					    */
/*									    */
/*	name	= address of the identifier name character		    */
/*		  string descriptor to be converted			    */
/*	id	= address to return the identifier longword		    */
/*	attrib	= address to return the attributes longword		    */
/*									    */
#define	 sys$asctoid  SYS$ASCTOID
int sys$asctoid(__unknown_params);
/*									    */
/*  $ASCUTC								    */
/*									    */
/*    Convert Binary UTC time into ASCII time string			    */
/*									    */
/*	$ASCUTC [timlen], timbuf, [utcadr], [cvtflg]			    */
/*									    */
/*	timlen = Length (in bytes) of the ASCII string			    */
/*		 returned by $ASCUTC. The timelen argument		    */
/*		 is the address of a word containing this length.	    */
/*	timbuf = Buffer into which $ASCUTC writes the ASCII string.	    */
/*		 The timbuf argument is the address of a character	    */
/*		 string descriptor pointing to the bufer.  The		    */
/*		 buffer length specified in the timbuf argument,	    */
/*		 together rwith the cvtflg argument, controls what	    */
/*		 information is returned.				    */
/*	utcadr = Time value that $ASCUTC is to convert. The utcadr	    */
/*		 argument is the address of this 128-bit time value.	    */
/*		 Relative times are not permitted. If utcadr is		    */
/*		 not specified ( ie 0 ), $ASCUTC returns the current	    */
/*		 date and time.						    */
/*	cvtflg = Conversion indicator specifying which date and time	    */
/*		 fields $ASCUTC should return.	The cvtflg argument is	    */
/*		 a longword value, which is interpreted as Boolean.	    */
/*		 The value 1 specifies that ASCUTC should return only	    */
/*		 the hour,minute,second, and hundreths of a second fields.  */
/*		 The default value 0 specifies that $ASCUTC should return   */
/*		 the full date and time.				    */
/*									    */
#define	 sys$ascutc  SYS$ASCUTC
int sys$ascutc(__unknown_params);
/*									    */
/*  $ASSIGN								    */
/*									    */
/*    Assign I/O Channel						    */
/*									    */
/*	$ASSIGN	 devnam ,chan ,[acmode] ,[mbxnam], [flags]		    */
/*									    */
/*	devnam = address  of  device  name  or	logical	 name	string	    */
/*		 descriptor						    */
/*	chan   = address of word to receive channel number assigned	    */
/*	acmode = access mode associated with channel			    */
/*	mbxnam = address of mailbox logical name string descriptor, if	    */
/*		 mailbox associated with device				    */
/*	flags  = optional channel flags longword for specifying options	    */
/*		 for the $ASSIGN operation				    */
/*									    */
#define	 sys$assign  SYS$ASSIGN
int sys$assign(__unknown_params);
/*									    */
/*  $AUDIT_EVENT							    */
/*									    */
/*    Audit Security Relevant Event					    */
/*									    */
/*	$AUDIT_EVENT(W) [efn], [flags], itmlst, [audsts], [astadr], [astprm] */
/*									    */
/*	efn	= number of event flag to set on completion		    */
/*									    */
/*	flags	= input flags longword					    */
/*									    */
/*	itmlst	= address of list of item descriptors			    */
/*									    */
/*	audsts	= address of longword to receive final completion status    */
/*									    */
/*	astadr	= address of AST completion routine			    */
/*									    */
/*	astprm	= unsigned longword to be passed to AST routine		    */
/*									    */
#define	 sys$audit_event  SYS$AUDIT_EVENT
int sys$audit_event(__unknown_params);
#define	 sys$audit_eventw  SYS$AUDIT_EVENTW
int sys$audit_eventw(__unknown_params);
/*									    */
/*  $BINTIM								    */
/*									    */
/*    Convert ASCII String to Binary Time				    */
/*									    */
/*	$BINTIM	 timbuf ,timadr						    */
/*									    */
/*	timbuf = address of string descriptor for ASCII time string	    */
/*	timadr = address of quadword to	 receive  64-bit  binary  time	    */
/*		 value							    */
/*									    */
/*	    Absolute time strings are specified in the format:		    */
/*		 dd-mmm-yyyy hh:mm:ss.cc				    */
/*	    Delta time strings are specified in the format:		    */
/*		 dddd hh:mm:ss.cc					    */
/*									    */
#define	 sys$bintim  SYS$BINTIM
int sys$bintim(__unknown_params);
/*									    */
/*  $BINUTC								    */
/*									    */
/*    Convert ASCII UTC time to a binary format				    */
/*									    */
/*	$BINUTC	 timbuf, utcadr						    */
/*									    */
/*	timbuf = Buffer that holds the ASCII time to be converted.	    */
/*		 The timbuf argument specifies the address of a		    */
/*		 character string descriptor pointing to the VMS	    */
/*		 time string. The VMS time string specifies the		    */
/*		 absolute time to be converted by $BINUTC.		    */
/*	utcadr = Time value that $BINUTC has converted.	 The		    */
/*		 utcadr argument is the address of the utc_date_time	    */
/*		 which receives the converted time.			    */
/*									    */
#define	 sys$binutc  SYS$BINUTC
int sys$binutc(__unknown_params);
/*									    */
/*  $BRDCST								    */
/*									    */
/*    Broadcast								    */
/*									    */
/*	$BRDCST	 msgbuf ,[devnam]					    */
/*									    */
/*	msgbuf	 = address of message buffer string descriptor		    */
/*	devnam	 = terminal device name string descriptor.  If 0, send	    */
/*		   message   to	 all  terminals.   If  first  word  in	    */
/*		   descriptor is 0,  send  message  to	all  allocated	    */
/*		   terminals.						    */
/*									    */
#define	 sys$brdcst  SYS$BRDCST
int sys$brdcst(__unknown_params);
/*  $BRKTHRU								    */
/*									    */
/*    Write to terminal breakthru					    */
/*									    */
/*     $BRKTHRU	    [efn] ,msgbuf, [sendto], [sndtyp], [iosb],		    */
/*	($BRKTHRUW) [carcon], [flags], [reqid], [timout],		    */
/*		    [astadr], [astprm]					    */
/*									    */
/*     efn    = event flag to be set at completion			    */
/*									    */
/*     msgbuf = address of message buffer descriptor			    */
/*									    */
/*     sendto = address of send address descriptor			    */
/*									    */
/*     sndtyp = value to describe sendto				    */
/*									    */
/*     iosb   = address of a quadword I/O status block			    */
/*									    */
/*     carcon = carriage control					    */
/*									    */
/*     flags = flags to modify broadcast				    */
/*									    */
/*     reqid = broadcast class requestor id				    */
/*									    */
/*     timout = address of timeout value				    */
/*									    */
/*     astadr = address of entry mask of AST routine			    */
/*									    */
/*     astprm = value to be passed to AST routine as an argument	    */
/*									    */
/*									    */
#define	 sys$brkthru  SYS$BRKTHRU
int sys$brkthru(__unknown_params);
#define	 sys$brkthruw  SYS$BRKTHRUW
int sys$brkthruw(__unknown_params);
/*									    */
/*  $CANCEL								    */
/*									    */
/*    Cancel I/O on Channel						    */
/*									    */
/*	$CANCEL	 chan							    */
/*									    */
/*	chan   = number of the channel on which I/O is to be canceled	    */
/*									    */
#define	 sys$cancel  SYS$CANCEL
int sys$cancel(__unknown_params);
/*									    */
/*  $CANCEL_SELECTIVE							    */
/*									    */
/*    Selective Cancel I/O on Channel					    */
/*									    */
/*	$CANCEL_SELECTIVE  chan, [iosblst], [lenlst]			    */
/*									    */
/*	chan	= number of the channel on which I/O is to be canceled	    */
/*	iosblst = address of a vector of IOSB pointers			    */
/*	lenlst	= number of entries in the vector pointed by iosblst	    */
/*									    */
#define	 sys$cancel_selective  SYS$CANCEL_SELECTIVE
int sys$cancel_selective(__unknown_params);
/*  $CANEVTAST								    */
/*									    */
/*    Cancel an Event AST Routine					    */
/*									    */
/*     $CANEVTAST   [evtnam], [evtadr], [evtfac], [acmode], [flags], [reqid] */
/*		    ,[evtid]						    */
/*									    */
/*     evtnam = address of descriptor of event name			    */
/*									    */
/*     evtadr = address of entry mask of event AST routine		    */
/*									    */
/*     evtfac = address of event facility code				    */
/*									    */
/*     acmode = access mode of event declaration			    */
/*									    */
/*     flags  = address of optional flags				    */
/*									    */
/*     reqid  = user provided identification of this request		    */
/*									    */
/*     evtid  = unique identification of this request			    */
/*									    */
#define	 sys$canevtast	SYS$CANEVTAST
int sys$canevtast(__unknown_params);
/*									    */
/*  $CANEXH								    */
/*									    */
/*    Cancel Exit Handler						    */
/*									    */
/*	$CANEXH	 [desblk]						    */
/*									    */
/*	desblk = address of exit control block describing exit handler	    */
/*		 to be deleted.	 If 0, delete all.			    */
/*									    */
#define	 sys$canexh  SYS$CANEXH
int sys$canexh(__unknown_params);
/*									    */
/*  $CANTIM								    */
/*									    */
/*    Cancel Timer Request						    */
/*									    */
/*	$CANTIM	 [reqidt] ,[acmode]					    */
/*									    */
/*	reqidt = request identification for request  to	 be  canceled.	    */
/*		 If 0, all requests canceled.				    */
/*	acmode = access mode of requests to be canceled			    */
/*									    */
#define	 sys$cantim  SYS$CANTIM
int sys$cantim(__unknown_params);
/*									    */
/*  $CANWAK								    */
/*									    */
/*    Cancel Wakeup							    */
/*									    */
/*	$CANWAK	 [pidadr] ,[prcnam]					    */
/*									    */
/*	pidadr = address of  process  identification  of  process  for	    */
/*		 which wakeups are to be canceled			    */
/*	prcnam = address of process name string descriptor		    */
/*									    */
#define	 sys$canwak  SYS$CANWAK
int sys$canwak(__unknown_params);
/*  $CHANGE_ACL								    */
/*									    */
/*    Set or modify an object's ACL					    */
/*									    */
/*	$CHANGE_ACL	[chan], objtyp, [objnam],			    */
/*			itmlst, [acmode], [iosb],			    */
/*			[contxt] , [routin], [orbadr]			    */
/*									    */
/*	chan   = number of a channel assigned to the object or		    */
/*		 0 if object is specified by the objnam parameter	    */
/*									    */
/*	objtyp = address of an object type code				    */
/*									    */
/*	objnam = address of object name					    */
/*									    */
/*	itmlst = address of a list of item descriptors			    */
/*									    */
/*	acmode = address of a byte containing the access mode in	    */
/*		 which the arguments will be validated			    */
/*									    */
/*	iosb   = address of a quadword I/O status block			    */
/*									    */
/*	contxt = address of a context long word (used for iterative	    */
/*		 calls or a multi-entry item list)			    */
/*									    */
/*	routin = address of routine to be executed in kernel mode	    */
/*		 (obsolete)						    */
/*									    */
/*	orbadr = address of a user supplied ORB				    */
/*									    */
#define	 sys$change_acl	 SYS$CHANGE_ACL
int sys$change_acl(__unknown_params);
/*  $CHANGE_CLASS	objtyp, [objnam], itmlst			    */
/*			[acmode], [orbadr]				    */
/*									    */
/*    Modify an objects access class					    */
/*									    */
/*     objtyp = address of an object type code				    */
/*									    */
/*     objnam = address of an object name descriptor			    */
/*									    */
/*     itmlst = address of a list of item descriptors			    */
/*									    */
/*     acmode = address of a byte containing the access mode in		    */
/*		which the arguments will be validated			    */
/*									    */
/*     orbadr = address of routine to be executed in kernel mode	    */
/*									    */
/*									    */
#define	 sys$change_class  SYS$CHANGE_CLASS
int sys$change_class(__unknown_params);
/*  $CHECK_ACCESS							    */
/*									    */
/*   $CHECK_ACCESS [objtyp], [objnam], [usrnam], itmlst, [contxt],	    */
/*		   [clsnam], [objpro], [usrpro]				    */
/*									    */
/*    Check User Access to an Object					    */
/*									    */
/*     objtyp = address of an object type code				    */
/*									    */
/*     objnam = address of an object name descriptor			    */
/*									    */
/*     usrnam = address of a user name descriptor			    */
/*									    */
/*     itmlst = address of a list of item descriptors			    */
/*									    */
/*     contxt = address of longword for UAI context			    */
/*									    */
/*     clsnam = address of object class name descriptor			    */
/*									    */
/*     objpro = address of object profile descriptor(ORB TLV or channel)    */
/*									    */
/*     usrpro = address of user profile descriptor (ARB TLV)		    */
/*									    */
#define	 sys$check_access  SYS$CHECK_ACCESS
int sys$check_access(__unknown_params);
/*  $CHECK_FEN								    */
/*									    */
/*    Check if floating point enabled for current image			    */
/*									    */
#define	 sys$check_fen	SYS$CHECK_FEN
int sys$check_fen(void);
/*  $CHECK_PRIVILEGE[W]							    */
/*									    */
/*    Check for process privilege and perform security audit.		    */
/*									    */
/*     $CHECK_PRIVILEGE[W] [efn] ,prvadr ,[altprv] ,[flags] ,[itmlst] ,[audsts] ,[astadr] ,[astprm] */
/*									    */
/*	efn	= event flag to set on asynchronous service completion	    */
/*	prvadr	= address of quadword privilege mask or longword identifier */
/*	altprv	= address of quadword privilege mask to check against	    */
/*	flags	= control flags						    */
/*	itmlst	= address of a list of item descriptors			    */
/*	audsts	= longword to receive final completion status		    */
/*	astadr	= address of AST routine to call on service completion	    */
/*	astprm	= longword to pass to AST routine			    */
/*									    */
#define	 sys$check_privilege  SYS$CHECK_PRIVILEGE
int sys$check_privilege(__unknown_params);
#define	 sys$check_privilegew  SYS$CHECK_PRIVILEGEW
int sys$check_privilegew(__unknown_params);
/*									    */
/*  $CHKPRO								    */
/*									    */
/*	Check Access Protection						    */
/*									    */
/*	$CHKPRO itmlst, [objpro], [usrpro]				    */
/*									    */
/*	itmlst = address of a list of item descriptors			    */
/*	objpro = address of object handle descriptor (ORB TLV)		    */
/*	usrpro = address of user handle descriptor (ARB TLV)		    */
/*									    */
#define	 sys$chkpro  SYS$CHKPRO
int sys$chkpro(__unknown_params);
/*  $CLRCLUEVT								    */
/*									    */
/*    Clear Cluster Event Notification					    */
/*									    */
/*     $CLRCLUEVT [handle], [acmode], [event]				    */
/*									    */
/*     handle = address of handle					    */
/*									    */
/*     acmode = access mode of AST					    */
/*									    */
/*     event   = code indicating type of event				    */
/*									    */
#define	 sys$clrcluevt	SYS$CLRCLUEVT
int sys$clrcluevt(__unknown_params);
/*									    */
/*  $CLREF								    */
/*									    */
/*    Clear Event Flag							    */
/*									    */
/*	$CLREF efn							    */
/*									    */
/*	efn    = number of event flag to be cleared			    */
/*									    */
#define	 sys$clref  SYS$CLREF
int sys$clref(__unknown_params);
/*									    */
/*  $CLOSE								    */
/*									    */
/*    Close File							    */
/*									    */
/*	$CLOSE fab, [err], [suc]					    */
/*									    */
/*	fab	= address of fab					    */
/*									    */
/*	err	= address of user error completion routine		    */
/*									    */
/*	suc	= address of user success completion routine		    */
/*									    */
#define	 sys$close  SYS$CLOSE
int sys$close(__unknown_params);
/*									    */
/*  $CMEXEC								    */
/*									    */
/*    Change to Executive Mode						    */
/*									    */
/*	$CMEXEC	 routin ,[arglst]					    */
/*									    */
/*	routin = address of the routine to be  executed	 in  executive	    */
/*		 mode							    */
/*	arglst = address of  argument  list  to	 be  supplied  to  the	    */
/*		 routine						    */
/*									    */
#define	 sys$cmexec  SYS$CMEXEC
int sys$cmexec(__unknown_params);
/*  $CMKRNL								    */
/*									    */
/*    Change to Kernel Mode						    */
/*									    */
/*     $CMKRNL	routin ,[arglst]					    */
/*									    */
/*     routin = address of routine to be executed in kernel mode	    */
/*									    */
/*     arglst = address of argument list to be supplied to routine	    */
/*									    */
#define	 sys$cmkrnl  SYS$CMKRNL
int sys$cmkrnl(__unknown_params);
/*									    */
/*  $CONNECT								    */
/*									    */
/*    Connect File							    */
/*									    */
/*	$CONNECT rab, [err], [suc]					    */
/*									    */
/*	rab	= address of rab					    */
/*									    */
/*	err	= address of user error completion routine		    */
/*									    */
/*	suc	= address of user success completion routine		    */
/*									    */
#define	 sys$connect  SYS$CONNECT
int sys$connect(__unknown_params);
/*  $CNTREG								    */
/*									    */
/*    Contract Program/Control Region					    */
/*									    */
/*     $CNTREG	pagcnt ,[retadr] ,[acmode] ,[region]			    */
/*									    */
/*     pagcnt = number of pages to be deleted from end of region	    */
/*									    */
/*     retadr = address	 of  2-longword	 array	to  receive   virtual	    */
/*	     addresses of starting and ending page of deleted area	    */
/*									    */
/*     acmode = access mode for which service is performed		    */
/*									    */
/*     region = region indicator					    */
/*	0 -> program (P0) region   1 -> control (P1) region		    */
/*									    */
#define	 sys$cntreg  SYS$CNTREG
int sys$cntreg(__unknown_params);
/*									    */
/*  $CREATE								    */
/*									    */
/*    Create File							    */
/*									    */
/*	$CREATE fab, [err], [suc]					    */
/*									    */
/*	fab	= address of fab					    */
/*									    */
/*	err	= address of user error completion routine		    */
/*									    */
/*	suc	= address of user success completion routine		    */
/*									    */
#define	 sys$create  SYS$CREATE
int sys$create(__unknown_params);
/*									    */
/*  $CREATE_MAPPING							    */
/*									    */
/*    Create Mapping record database					    */
/*									    */
/*     $CREATE_MAPPING							    */
/*									    */
#define	 sys$create_mapping  SYS$CREATE_MAPPING
int sys$create_mapping(void);
/*									    */
/*  $CREATE_PROXY							    */
/*									    */
/*    Create proxy database						    */
/*									    */
/*	$CREATE_PROXY							    */
/*									    */
/*									    */
#define	 sys$create_proxy  SYS$CREATE_PROXY
int sys$create_proxy(void);
/*									    */
/*  $CREATE_UID								    */
/*									    */
/*    Create a Universal Identifier					    */
/*									    */
/*	$CREATE_UID UID							    */
/*									    */
/*	UID	= address of the 16 byte buffer to receive the UID.	    */
/*									    */
#define	 sys$create_uid	 SYS$CREATE_UID
int sys$create_uid(__unknown_params);
/*  $CREATE_BUFOBJ							    */
/*									    */
/*    Create I/O Buffer Object						    */
/*									    */
/*     $CREATE_BUFOBJ  inadr ,[retadr] ,[acmode] ,[flags] ,buffer_handle    */
/*									    */
/*     inadr  = address of 2-longword array containing	starting  and ending */
/*		virtual addresses of existing VA to include in buffer object */
/*									    */
/*     retadr = address of  2-longword	array  to  receive  addresses	    */
/*		actually included in the buffer object			    */
/*									    */
/*     acmode = access mode of owner of buffer object			    */
/*									    */
/*     flags  = request option flags					    */
/*									    */
/*	 Bit		Meaning (if set)				    */
/*									    */
/*	 0		Return system virtual address of buffer object in RETADR */
/*			(Caller must be in kernel mode)			    */
/*									    */
/*	buffer_handle = address of a quadword to receive the buffer handle  */
/*		that identifies the created buffer object		    */
/*									    */
#define	 sys$create_bufobj  SYS$CREATE_BUFOBJ
int sys$create_bufobj(__unknown_params);
/*									    */
/*  $CREATE_RDB								    */
/*									    */
/*    Create The Rights Database					    */
/*									    */
/*	$CREATE_RDB [sysid]						    */
/*									    */
/*	sysid	= address of the quadword system identifier		    */
/*		  to store in the maintenance record			    */
/*									    */
#define	 sys$create_rdb	 SYS$CREATE_RDB
int sys$create_rdb(__unknown_params);
/*									    */
/*  $CREATE_USER_PROFILE						    */
/*									    */
/*    Create a user security profile.					    */
/*									    */
/*	$CREATE_USER_PROFILE [usrnam], [itmlst], [flags], usrpro, usrprolen, [context] */
/*									    */
/*	  usrnam	= address of username descriptor (optional with CHP$M_NOACCESS) */
/*	  itmlst	= address of item list				    */
/*	  flags		= flags longword				    */
/*	  usrpro	= address of buffer to receive user profile (opaque byte string) */
/*	  usrprolen	= address of longword to receive user profile length */
/*	  contxt	= address of longword to receive UAI context	    */
/*									    */
#define	 sys$create_user_profile  SYS$CREATE_USER_PROFILE
int sys$create_user_profile(__unknown_params);
/*  $CRELNM								    */
/*									    */
/*    Create Logical Name						    */
/*									    */
/*     $CRELNM	[attr], tabnam, lognam, [acmode], [itemlist]		    */
/*									    */
/*     attr = address of logical name attributes			    */
/*									    */
/*	Attribute	Meaning						    */
/*	LNM$M_CONFINE	Logical name not to be copied into sub-process	    */
/*	LNM$M_NO_ALIAS	Logical name can not be aliased			    */
/*	LNM$M_CRELOG	Logical name created using $CRELOG		    */
/*									    */
/*     tabnam = address of logical name table string descriptor		    */
/*									    */
/*     lognam = address of logical name string descriptor		    */
/*									    */
/*     acmode = address of access mode for logical name			    */
/*									    */
/*     itmlst = address of a list of item descriptors			    */
/*									    */
#define	 sys$crelnm  SYS$CRELNM
int sys$crelnm(__unknown_params);
/*  $CRELNT								    */
/*									    */
/*    Create Logical Name Table						    */
/*									    */
/*     $CRELNT	[attr], [resnam], [reslen], [quota],			    */
/*		[promsk], [tabnam], [acmode], [partab]			    */
/*									    */
/*     attr = address of logical name table attributes			    */
/*									    */
/*     resnam = address of descriptor of a buffer to receive the	    */
/*		    created table's name				    */
/*									    */
/*     reslen = address of word to recieve length of created table's	    */
/*		    name						    */
/*									    */
/*     quota = address of quota associated with logical name table	    */
/*									    */
/*     promsk = address of protection mask				    */
/*									    */
/*     tabnam = address of descriptor of logical name table name to be created	*/
/*									    */
/*     partab = address of name of table parent string descriptor	    */
/*									    */
/*     acmode = address of access mode for logical name			    */
/*									    */
#define	 sys$crelnt  SYS$CRELNT
int sys$crelnt(__unknown_params);
/*  $CRELOG								    */
/*									    */
/*    Create Logical Name						    */
/*									    */
/*     $CRELOG	[tblflg] ,lognam ,eqlnam ,[acmode]			    */
/*									    */
/*     tblflg = logical name table number				    */
/*	 0 -> system (default)	 1 -> group    2 -> process		    */
/*									    */
/*     lognam = address of logical name string descriptor		    */
/*									    */
/*     eqlnam = address of equivalence name string descriptor		    */
/*									    */
/*     acmode = access mode for logical name (process table only)	    */
/*									    */
#define	 sys$crelog  SYS$CRELOG
int sys$crelog(__unknown_params);
/*  $CREMBX								    */
/*									    */
/*    Create Mailbox and Assign Channel					    */
/*									    */
/*     $CREMBX	[prmflg] ,chan ,[maxmsg] ,[bufquo] ,[promsk] ,[acmode] ,[lognam], [flags] */
/*									    */
/*     prmflg = permanent flag						    */
/*	 0 -> temporary (default)   1 -> permanent			    */
/*									    */
/*     chan   = address of word to receive channel			    */
/*									    */
/*     maxmsg = maximum message size that may be received		    */
/*									    */
/*     bufquo = number of bytes that can be used to buffer messages	    */
/*									    */
/*     promsk = protection mask						    */
/*									    */
/*     acmode = access mode of created mailbox				    */
/*									    */
/*     lognam = address of logical name string descriptor for mailbox	    */
/*									    */
/*     flags  = optional flags for mailbox creation and channel assignment  */
/*									    */
#define	 sys$crembx  SYS$CREMBX
int sys$crembx(__unknown_params);
/*  $CREPRC								    */
/*									    */
/*    Create Process							    */
/*									    */
/*     $CREPRC	[pidadr] ,[image] ,[input] ,[output] ,[error] ,[prvadr]	    */
/*     ,[quota] ,[prcnam] ,[baspri] ,[uic] ,[mbxunt] ,[stsflg] ,[itmlst]    */
/*									    */
/*     pidadr = address of longword to return id of created process	    */
/*									    */
/*     image  = address of string descriptor for image name		    */
/*									    */
/*     input  = address of string descriptor for SYS$INPUT		    */
/*									    */
/*     output = address of string descriptor for SYS$OUTPUT		    */
/*									    */
/*     error  = address of string descriptor for SYS$ERROR		    */
/*									    */
/*     prvadr = address of quadword privilege list			    */
/*									    */
/*     quota  = address of quota list					    */
/*									    */
/*     prcnam = address of string descriptor for process name		    */
/*									    */
/*     baspri = base priority (0-31)					    */
/*									    */
/*     uic    = user identification code.  If 0, create a subprocess	    */
/*									    */
/*     mbxunt = mailbox unit for termination message			    */
/*									    */
/*     stsflg = status and mode flag bits				    */
/*									    */
/*	    Bit	 Meaning						    */
/*									    */
/*	     0	 disable resource wait mode				    */
/*	     1	 enable system service failure exception mode		    */
/*	     2	 inhibit process swapping				    */
/*	     3	 disable accounting messages				    */
/*	     4	 batch process						    */
/*	     5	 cause created process to hibernate			    */
/*	     6	 allow login without authorization file check		    */
/*	     7	 process is a network connect object			    */
/*									    */
/*     itmlst = address of a list of item descriptors			    */
/*									    */
#define	 sys$creprc  SYS$CREPRC
int sys$creprc(__unknown_params);
/*  $CRETVA								    */
/*									    */
/*    Create Virtual Address Space					    */
/*									    */
/*     $CRETVA	inadr ,[retadr] ,[acmode]				    */
/*									    */
/*     inadr  = address of 2-longword array containing	starting  and	    */
/*		ending virtual address of pages to be created		    */
/*									    */
/*     retadr = address of a 2-longword array to receive starting and	    */
/*		ending virtual address of pages actually created	    */
/*									    */
/*     acmode = access	mode  for  the	new  pages   (protection   is	    */
/*		read/write for acmode and more privileged modes)	    */
/*									    */
#define	 sys$cretva  SYS$CRETVA
int sys$cretva(__unknown_params);
/*  $CRMPSC								    */
/*									    */
/*    Create and Map Section						    */
/*									    */
/*     $CRMPSC	[inadr] ,[retadr] ,[acmode] ,[flags] ,[gsdnam] ,[ident]	    */
/*		,[relpag] ,[chan] ,[pagcnt] ,[vbn] ,[prot] ,[pfc]	    */
/*									    */
/*     inadr  = address of 2-longword array containing	starting  and	    */
/*		ending virtual addresses of space to map section	    */
/*									    */
/*     retadr = address of  2-longword	array  to  receive  addresses	    */
/*		actually mapped						    */
/*									    */
/*     acmode = access mode of owner of pages				    */
/*									    */
/*     flags  = section characteristics					    */
/*									    */
/*	 Flag	      Meaning						    */
/*									    */
/*	 SEC$M_GBL    Global section					    */
/*	 SEC$M_CRF    Copy-on-reference pages				    */
/*	 SEC$M_DZRO   Demand zero pages					    */
/*	 SEC$M_EXPREG Find first available space			    */
/*	 SEC$M_PERM   Permanent section					    */
/*	 SEC$M_PFNMAP Physical page frame section			    */
/*	 SEC$M_SYSGBL System global section				    */
/*	 SEC$M_WRT    Read/write section				    */
/*									    */
/*     gsdnam = address of global section name string descriptor	    */
/*									    */
/*     ident  = address of quadword containing version id and match control */
/*									    */
/*     relpag = relative page number within section			    */
/*									    */
/*     chan   = number of channel on which file is accessed		    */
/*									    */
/*     pagcnt = number of pages in section				    */
/*									    */
/*     vbn    = virtual block  number  of  beginning  of  section  or	    */
/*		physical page frame number of beginning of section	    */
/*									    */
/*     prot   = protection mask						    */
/*									    */
/*     pfc    = page fault cluster size					    */
/*									    */
#define	 sys$crmpsc  SYS$CRMPSC
int sys$crmpsc(__unknown_params);
/*  $DACEFC								    */
/*									    */
/*    Disassociate Common Event Flag Cluster				    */
/*									    */
/*     $DACEFC	efn							    */
/*									    */
/*     efn    = number of any event flag in the cluster			    */
/*									    */
#define	 sys$dacefc  SYS$DACEFC
int sys$dacefc(__unknown_params);
/*  $DALLOC								    */
/*									    */
/*    Deallocate Device							    */
/*									    */
/*     $DALLOC	[devnam] ,[acmode]					    */
/*									    */
/*     devnam = address of device name descriptor.  If 0, deallocate all    */
/*									    */
/*     acmode = access mode associated with device			    */
/*									    */
#define	 sys$dalloc  SYS$DALLOC
int sys$dalloc(__unknown_params);
/*  $DASSGN								    */
/*									    */
/*    Deassign I/O Channel						    */
/*									    */
/*     $DASSGN	chan							    */
/*									    */
/*     chan   = number of channel to be deassigned			    */
/*									    */
#define	 sys$dassgn  SYS$DASSGN
int sys$dassgn(__unknown_params);
/*  $DCLAST								    */
/*									    */
/*    Declare AST							    */
/*									    */
/*     $DCLAST	astadr ,[astprm] ,[acmode]				    */
/*									    */
/*     astadr = address of entry mask of AST routine			    */
/*									    */
/*     astprm = value to be passed to AST routine			    */
/*									    */
/*     acmode = access mode for which the AST is to be declared		    */
/*									    */
#define	 sys$dclast  SYS$DCLAST
int sys$dclast(__unknown_params);
/*  $DCLCMH								    */
/*									    */
/*    Declare Change Mode or Compatibility Mode Handler			    */
/*									    */
/*     $DCLCMH	addres ,[prvhnd] ,[type]				    */
/*									    */
/*     addres = address of handler					    */
/*									    */
/*     prvhnd = address of longword to receive previous handler address	    */
/*									    */
/*     type   = handler type indicator					    */
/*		 0 -> change mode (current mode)   1 -> compatibility mode  */
/*									    */
#define	 sys$dclcmh  SYS$DCLCMH
int sys$dclcmh(__unknown_params);
/*  $DCLEVT								    */
/*									    */
/*    Declare an Event							    */
/*									    */
/*     $DCLEVT	evtnam, [rcvacl], [evtfac], [acmode], [flags]		    */
/*		,[evtdata], [nullarg], [nullarg], [nullarg], [nullarg]	    */
/*									    */
/*     evtnam  = address of descriptor of event name			    */
/*									    */
/*     rcvacl  = address of descriptor of ACL				    */
/*									    */
/*     evtfac  = address of event facility code				    */
/*									    */
/*     acmode  = access mode of event declaration			    */
/*									    */
/*     flags   = optional flags						    */
/*									    */
/*     evtdata = address of descriptor of optional event data		    */
/*									    */
#define	 sys$dclevt  SYS$DCLEVT
int sys$dclevt(__unknown_params);
/*  $DCLEXH								    */
/*									    */
/*    Declare Exit Handler						    */
/*									    */
/*     $DCLEXH	desblk							    */
/*									    */
/*     desblk = address of exit control block containing:		    */
/*									    */
/*	+-------------------------------+				    */
/*	|	  forward link		|				    */
/*	+-------------------------------+				    */
/*	|     exit handler address	|				    */
/*	+-------------------------------+				    */
/*	|	 argument count		|				    */
/*	+-------------------------------+				    */
/*	|   address to store reason	|				    */
/*	+-------------------------------+				    */
/*	|     additional arguments	|				    */
/*	+--	 for exit handler,    --+				    */
/*	|	     if any		|				    */
/*	+-------------------------------+				    */
/*									    */
#define	 sys$dclexh  SYS$DCLEXH
int sys$dclexh(__unknown_params);
/*									    */
/*  $DEFINE_MAPPING							    */
/*									    */
/*    Define Mapping record types in the Mapping database		    */
/*									    */
/*     $DEFINE_MAPPING initmlst [,outitmlst]				    */
/*									    */
/*     initmlst	 = address of a list of item descriptors for the operation  */
/*     outitmlst = address of a list of item descriptors for information    */
/*     from the operation						    */
/*									    */
#define	 sys$define_mapping  SYS$DEFINE_MAPPING
int sys$define_mapping(__unknown_params);
/*									    */
/*  $DELETE								    */
/*									    */
/*    Delete Record							    */
/*									    */
/*	$DELETE rab, [err], [suc]					    */
/*									    */
/*	rab	= address of rab					    */
/*									    */
/*	err	= address of user error completion routine		    */
/*									    */
/*	suc	= address of user success completion routine		    */
/*									    */
#define	 sys$delete  SYS$DELETE
int sys$delete(__unknown_params);
/*									    */
/*  $DELETE_INTRUSION							    */
/*									    */
/*    Delete intrusion record						    */
/*									    */
/*	$DELETE_INTRUSION   user_criteria, [flags]			    */
/*									    */
/*	user_criteria	in     address of user criteria descriptor	    */
/*	flags		in	intrusion service flags			    */
/*									    */
#define	 sys$delete_intrusion  SYS$DELETE_INTRUSION
int sys$delete_intrusion(__unknown_params);
/*									    */
/*  $DELETE_MAPPING							    */
/*									    */
/*    Delete Mapping record from Mapping database			    */
/*									    */
/*     $DELETE_MAPPING initmlst						    */
/*									    */
/*     initmlst	 = address of a list of item descriptors for the operation  */
/*									    */
#define	 sys$delete_mapping  SYS$DELETE_MAPPING
int sys$delete_mapping(__unknown_params);
/*									    */
/*  $DELETE_PROXY							    */
/*									    */
/*    Delete proxy record						    */
/*									    */
/*	$DELETE_PROXY  rem_node, rem_user, local_user, [flags]		    */
/*									    */
/*	rem_node    in	    address of remote node descriptor		    */
/*	rem_user    in	    address of remote user descriptor		    */
/*	local_user  in	    address of local user descriptor		    */
/*	flags	    in	    proxy service flags				    */
/*									    */
#define	 sys$delete_proxy  SYS$DELETE_PROXY
int sys$delete_proxy(__unknown_params);
/*  $DELLNM								    */
/*									    */
/*    Delete Logical Name and/or Table					    */
/*									    */
/*     $DELLNM	[tabnam], [lognam], [acmode]				    */
/*									    */
/*     tabnam = address of descriptor of logical name table name string	    */
/*									    */
/*     lognam = address of descriptor of logical name string		    */
/*									    */
/*     acmode = address of access mode for logical name			    */
/*									    */
#define	 sys$dellnm  SYS$DELLNM
int sys$dellnm(__unknown_params);
/*  $DELLOG								    */
/*									    */
/*    Delete Logical Name						    */
/*									    */
/*     $DELLOG	[tblflg] ,[lognam] ,[acmode]				    */
/*									    */
/*     tblflg = logical name table number				    */
/*		  0 -> system	1 -> group   2 -> process		    */
/*									    */
/*     lognam = address of logical name string descriptor.  If 0,	    */
/*		delete all names					    */
/*									    */
/*     acmode = access mode of logical name (process table only)	    */
/*									    */
#define	 sys$dellog  SYS$DELLOG
int sys$dellog(__unknown_params);
/*  $DELMBX								    */
/*									    */
/*    Delete Mailbox							    */
/*									    */
/*     $DELMBX	chan							    */
/*									    */
/*     chan   = channel number assigned to the mailbox			    */
/*									    */
#define	 sys$delmbx  SYS$DELMBX
int sys$delmbx(__unknown_params);
/*  $DELPRC								    */
/*									    */
/*    Delete Process							    */
/*									    */
/*     $DELPRC	[pidadr] ,[prcnam]					    */
/*									    */
/*     pidadr = address of longword containing id of process to be deleted  */
/*									    */
/*     prcnam = address of string descriptor for process name to be deleted */
/*									    */
#define	 sys$delprc  SYS$DELPRC
int sys$delprc(__unknown_params);
/*  $DELTVA								    */
/*									    */
/*    Delete Virtual Address Space					    */
/*									    */
/*     $DELTVA	inadr ,[retadr] ,[acmode]				    */
/*									    */
/*     inadr  = address of 2-longword array containing	starting  and	    */
/*		ending virtual addresses of pages to delete		    */
/*									    */
/*     retadr = address of 2-longword array to receive	starting  and	    */
/*		ending addresses of pages actually deleted		    */
/*									    */
/*     acmode = access mode for which service is performed		    */
/*									    */
#define	 sys$deltva  SYS$DELTVA
int sys$deltva(__unknown_params);
/*  $DELETE_BUFOBJ							    */
/*									    */
/*    Delete I/O Buffer Object						    */
/*									    */
/*     $DELETE_BUFOBJ  buffer_handle					    */
/*									    */
/*	buffer_handle = address of a quadword that contains the buffer handle */
/*		identifying the buffer object to be deleted		    */
/*									    */
#define	 sys$delete_bufobj  SYS$DELETE_BUFOBJ
int sys$delete_bufobj(__unknown_params);
/*  $DEQ								    */
/*									    */
/*    Dequeue Lock							    */
/*									    */
/*     $DEQ  [lkid] ,[valblk] ,[acmode] ,[flags]			    */
/*									    */
/*     lkid   = lock ID of the lock to be dequeued			    */
/*									    */
/*     valblk = address of the lock value block				    */
/*									    */
/*     acmode = access mode of the locks to be dequeued			    */
/*									    */
/*     flags  = optional flags.						    */
/*									    */
/*		     LCK$M_DEQALL					    */
/*									    */
#define	 sys$deq  SYS$DEQ
int sys$deq(__unknown_params);
/*  $DEVICE_SCAN							    */
/*									    */
/*    Wildcard device scan						    */
/*									    */
/*     $DEVICE_SCAN  return_devnam, retlen, [search_devnam], [itmlst], [contxt] */
/*									    */
/*     return_devnam = address of descriptor of returned device name buffer */
/*									    */
/*     retlen	     = address to store length of device name returned	    */
/*									    */
/*     search_devnam = address of descriptor of search device name	    */
/*									    */
/*     itmlst	     = address of a list of item descriptors		    */
/*									    */
/*     contxt	     = address of quadword context structures		    */
/*									    */
/*									    */
#define	 sys$device_scan  SYS$DEVICE_SCAN
int sys$device_scan(__unknown_params);
/*  $DGBLSC								    */
/*									    */
/*    Delete Global Section						    */
/*									    */
/*     $DGBLSC	[flags] ,gsdnam ,[ident]				    */
/*									    */
/*     flags  = type of section						    */
/*		  0 -> group section   SEC$M_SYSGBL -> system section	    */
/*									    */
/*     gsdnam = address of global section name string descriptor	    */
/*									    */
/*     ident  = address of quadword containing version id and match control */
/*									    */
#define	 sys$dgblsc  SYS$DGBLSC
int sys$dgblsc(__unknown_params);
/*  $DIAGNOSE								    */
/*   System Service for Diagnostics Programmers				    */
/*									    */
/*	$DIAGNOSE function, P2, [cpu_id, [flags]]			    */
/*									    */
/*	function = DIAG$SETAFF or DIAG$_ACTVCPUS			    */
/*									    */
/*	P2 = enable flag if function is DIAG$SETAFF, or			    */
/*	     address to return actvcpus in if function			    */
/*	     is DIAG$_ACTVCPUS						    */
/*									    */
/*	cpu_id = CPU number to set affinity to				    */
/*									    */
/*	flags = masks governing the checking to do, whether		    */
/*		affinity is set for image or process duration,		    */
/*		whether to set affinity to primary cpu.			    */
/*									    */
#define	 sys$diagnose  SYS$DIAGNOSE
int sys$diagnose(__unknown_params);
/*									    */
/*  $DISABLE_VP_USE							    */
/*									    */
/*    Disable Use of the Vector Processor				    */
/*									    */
/*	$DISABLE_VP_USE flags ,[curflg] ,[prvflg]			    */
/*									    */
/*	flags  = mask of facility(ies) that disabled vector use		    */
/*									    */
/*	curflg = address of longword to receive current flags		    */
/*									    */
/*	prvflg = address of longword to receive previous flags		    */
/*									    */
#define	 sys$disable_vp_use  SYS$DISABLE_VP_USE
int sys$disable_vp_use(__unknown_params);
/*									    */
/*  $DISABLE_VP_USE_INT							    */
/*									    */
/*    Disable Use of the Vector Processor, internal form		    */
/*									    */
/*	$DISABLE_VP_USE_INT flags ,[curflg] ,[prvflg]			    */
/*									    */
/*	flags  = mask of facility(ies) that disabled vector use		    */
/*									    */
/*	curflg = address of longword to receive current flags		    */
/*									    */
/*	prvflg = address of longword to receive previous flags		    */
/*									    */
#define	 sys$disable_vp_use_int	 SYS$DISABLE_VP_USE_INT
int sys$disable_vp_use_int(__unknown_params);
/*									    */
/*  $DISCONNECT								    */
/*									    */
/*    Disconnect Record Stream						    */
/*									    */
/*	$DISCONNECT rab, [err], [suc]					    */
/*									    */
/*	rab	= address of rab					    */
/*									    */
/*	err	= address of user error completion routine		    */
/*									    */
/*	suc	= address of user success completion routine		    */
/*									    */
#define	 sys$disconnect	 SYS$DISCONNECT
int sys$disconnect(__unknown_params);
/*  $DISMOU								    */
/*									    */
/*    Dismount Volume							    */
/*									    */
/*     $DISMOU devnam ,[flags]						    */
/*									    */
/*     devnam = address of device name string descriptor		    */
/*									    */
/*     flags  = 32-bit status mask  selecting options for  the	dismount    */
/*		The  symbols  for  the flags are  defined by the $DMTDEF    */
/*		macro.							    */
/*									    */
/*		 Flag	   Meaning					    */
/*									    */
/*	     DMT$M_NOUNLOAD   Do not unload the volume.			    */
/*									    */
/*	     DMT$M_UNIT	      Dismount the specified device, rather	    */
/*			      than the entire volume set.		    */
/*									    */
#define	 sys$dismou  SYS$DISMOU
int sys$dismou(__unknown_params);
/*									    */
/*  $DISPLAY								    */
/*									    */
/*    Display File							    */
/*									    */
/*	$DISPLAY fab, [err], [suc]					    */
/*									    */
/*	fab	= address of fab					    */
/*									    */
/*	err	= address of user error completion routine		    */
/*									    */
/*	suc	= address of user success completion routine		    */
/*									    */
#define	 sys$display  SYS$DISPLAY
int sys$display(__unknown_params);
/*									    */
/*  $DISPLAY_PROXY							    */
/*									    */
/*    Display proxy record						    */
/*									    */
/*	$DISPLAY_PROXY	rem_node, rem_user, buffer_sizes, proxy_node, proxy_user, */
/*			default_user, local_users, [flags], [context]	    */
/*									    */
/*	rem_node	in	address of remote node descriptor	    */
/*	rem_user	in	address of remote user descriptor	    */
/*	buffer_sizes	   out	address of array of words to receive output string lengths */
/*	proxy_node	   out	address of descriptor to receive matching proxy node */
/*	proxy_user	   out	address of descriptor to receive matching proxy user */
/*	default_user	   out	address of descriptor to receive default user */
/*	local_users	   out	address of array of blocks to receive local users */
/*	flags		in	proxy service flags			    */
/*	context		in out	address of optional longword context	    */
/*									    */
#define	 sys$display_proxy  SYS$DISPLAY_PROXY
int sys$display_proxy(__unknown_params);
/*  $DLCEFC								    */
/*									    */
/*    Delete Common Event Flag Cluster					    */
/*									    */
/*     $DLCEFC	name							    */
/*									    */
/*     name   = address of cluster name string descriptor		    */
/*									    */
#define	 sys$dlcefc  SYS$DLCEFC
int sys$dlcefc(__unknown_params);
/*  $DNS								    */
/*									    */
/*    DNS Clerk system service						    */
/*									    */
/*     $DNS	[efn], func , itmlst, [dnsb] ,[astadr] ,[astprm]	    */
/*     ($DNSW)								    */
/*									    */
/*     efn    = number of event flag to set on completion		    */
/*									    */
/*     func   = function code specifying action to be performed		    */
/*									    */
/*     itmlst = address of a list of item descriptors			    */
/*									    */
/*     dnsb   = address of quadword I/O status block to receive final	    */
/*		completion status					    */
/*									    */
/*     astadr = address of entry mask of AST routine			    */
/*									    */
/*     astprm = value to be passed to AST routine as argument		    */
/*									    */
#define	 sys$dns  SYS$DNS
int sys$dns(__unknown_params);
#define	 sys$dnsw  SYS$DNSW
int sys$dnsw(__unknown_params);
/*									    */
/*  $EMAA								    */
/*									    */
/*    Call Entity Management Assist Agent				    */
/*									    */
/*	$EMAA								    */
/*									    */
#define	 sys$emaa  SYS$EMAA
int sys$emaa(__unknown_params);
/*									    */
/*  $ENABLE_VP_USE							    */
/*									    */
/*    Enable Use of the Vector Processor				    */
/*									    */
/*	$ENABLE_VP_USE flags ,[curflg] ,[prvflg]			    */
/*									    */
/*	flags  = mask of facility(ies) that disabled vector use		    */
/*									    */
/*	curflg = address of longword to receive current flags		    */
/*									    */
/*	prvflg = address of longword to receive previous flags		    */
/*									    */
#define	 sys$enable_vp_use  SYS$ENABLE_VP_USE
int sys$enable_vp_use(__unknown_params);
/*									    */
/*  $ENABLE_VP_USE_INT							    */
/*									    */
/*    Enable Use of the Vector Processor, internal form			    */
/*									    */
/*	$ENABLE_VP_USE_INT flags ,[curflg] ,[prvflg]			    */
/*									    */
/*	flags  = mask of facility(ies) that disabled vector use		    */
/*									    */
/*	curflg = address of longword to receive current flags		    */
/*									    */
/*	prvflg = address of longword to receive previous flags		    */
/*									    */
#define	 sys$enable_vp_use_int	SYS$ENABLE_VP_USE_INT
int sys$enable_vp_use_int(__unknown_params);
/*  $ENQ								    */
/*									    */
/*    Enqueue Lock Request						    */
/*									    */
/*     $ENQ	[efn] ,lkmode ,lksb ,[flags] ,[resnam] ,[parid]		    */
/*     ($ENQW)	,[astadr] ,[astprm] ,[blkast] ,[acmode], [rsdm_id]	    */
/*		,[range]  ,[priority]					    */
/*									    */
/*     efn    = event flag to be set at completion			    */
/*									    */
/*     lkmode = type of lock mode requested.  Modes are:		    */
/*									    */
/*		 LCK$K_NLMODE null lock					    */
/*		 LCK$K_CRMODE concurrent read				    */
/*		 LCK$K_CWMODE concurrent write				    */
/*		 LCK$K_PRMODE protected read				    */
/*		 LCK$K_PWMODE protected write				    */
/*		 LCK$K_EXMODE exclusive lock				    */
/*									    */
/*     lksb  = address of the lock status block				    */
/*									    */
/*     flags = flags defining the characteristics of the lock.	These are:  */
/*									    */
/*		 LCK$M_NOQUEUE						    */
/*		 LCK$M_SYNCSTS						    */
/*		 LCK$M_SYSTEM						    */
/*		 LCK$M_VALBLK						    */
/*		 LCK$M_CONVERT						    */
/*									    */
/*     resnam = address of string descriptor of the resource name	    */
/*									    */
/*     parid  = lock ID of the parent lock				    */
/*									    */
/*     astadr = address of entry mask of AST routine			    */
/*									    */
/*     astprm = value to be passed to AST routine			    */
/*									    */
/*     blkast = address of entry mask of blocking AST routine		    */
/*									    */
/*     acmode = Access mode to be associated with the lock		    */
/*									    */
/*     rsdm_id	 = address of resource domain id			    */
/*									    */
/*     range  = optional range to be locked within resource		    */
/*									    */
/*     priority = optional priority of request				    */
/*									    */
#define	 sys$enq  SYS$ENQ
int sys$enq(__unknown_params);
#define	 sys$enqw  SYS$ENQW
int sys$enqw(__unknown_params);
/*									    */
/*  $ENTER								    */
/*									    */
/*    Enter File							    */
/*									    */
/*	$ENTER fab, [err], [suc]					    */
/*									    */
/*	fab	= address of fab					    */
/*									    */
/*	err	= address of user error completion routine		    */
/*									    */
/*	suc	= address of user success completion routine		    */
/*									    */
#define	 sys$enter  SYS$ENTER
int sys$enter(__unknown_params);
/*  $ERAPAT								    */
/*									    */
/*    Generate a security erase pattern.				    */
/*									    */
/*	$ERAPAT type, [count], patadr					    */
/*									    */
/*	type	= type of security erase				    */
/*									    */
/*	count	= iteration count (seed for erase pattern)		    */
/*									    */
/*	patadr	= address of longword to receive erase pattern		    */
/*									    */
#define	 sys$erapat  SYS$ERAPAT
int sys$erapat(__unknown_params);
/*  $ERASE								    */
/*									    */
/*    Erase File							    */
/*									    */
/*	$ERASE fab, [err], [suc]					    */
/*									    */
/*	fab	= address of fab					    */
/*									    */
/*	err	= address of user error completion routine		    */
/*									    */
/*	suc	= address of user success completion routine		    */
/*									    */
#define	 sys$erase  SYS$ERASE
int sys$erase(__unknown_params);
/*									    */
/*  $EVDPOSTEVENT							    */
/*									    */
/*    Post Event to EVD							    */
/*									    */
/*	$EVDPOSTEVENT  EVENT						    */
/*									    */
#define	 sys$evdpostevent  SYS$EVDPOSTEVENT
int sys$evdpostevent(__unknown_params);
/*  $EXIT								    */
/*									    */
/*    Exit image							    */
/*									    */
/*     $EXIT	[code]							    */
/*									    */
/*     code   = longword completion status				    */
/*									    */
#define	 sys$exit  SYS$EXIT
int sys$exit(__unknown_params);
/*  $EXPREG								    */
/*									    */
/*    Expand Program/Control Region					    */
/*									    */
/*     $EXPREG	pagcnt ,[retadr] ,[acmode] ,[region]			    */
/*									    */
/*     pagcnt = number of pages to add to end of specified region	    */
/*									    */
/*     retadr = address	 of  2-longword	 array	to  receive   virtual	    */
/*		addresses of starting and ending pages			    */
/*									    */
/*     acmode = access mode of the new pages				    */
/*									    */
/*     region = region indicator					    */
/*		 0 -> program (P0) region   1 -> control (P1) region	    */
/*									    */
#define	 sys$expreg  SYS$EXPREG
int sys$expreg(__unknown_params);
/*									    */
/*  $EXTEND								    */
/*									    */
/*    Extend File							    */
/*									    */
/*	$EXTEND fab, [err], [suc]					    */
/*									    */
/*	fab	= address of fab					    */
/*									    */
/*	err	= address of user error completion routine		    */
/*									    */
/*	suc	= address of user success completion routine		    */
/*									    */
#define	 sys$extend  SYS$EXTEND
int sys$extend(__unknown_params);
/*  $FAO								    */
/*									    */
/*    Formatted ASCII Output						    */
/*									    */
/*     $FAO	ctrstr ,[outlen] ,outbuf ,[p1] ,[p2]...[pn]		    */
/*									    */
/*     ctrstr = address of string descriptor for control string		    */
/*									    */
/*     outlen = address of word in which to store output length		    */
/*									    */
/*     outbuf = address of output buffer string descriptor		    */
/*									    */
/*     p1...  = variable number of arguments to FAO			    */
/*									    */
#define	 sys$fao  SYS$FAO
int sys$fao(__unknown_params);
/*  $FAOL								    */
/*									    */
/*    Formatted ASCII Output With List Parameter			    */
/*									    */
/*     $FAOL	ctrstr ,[outlen] ,outbuf ,prmlst			    */
/*									    */
/*     ctrstr = address of string descriptor for control string		    */
/*									    */
/*     outlen = address of word to receive output string length		    */
/*									    */
/*     outbuf = address of output buffer string descriptor		    */
/*									    */
/*     prmlst = address of a list of longword parameters		    */
/*									    */
#define	 sys$faol  SYS$FAOL
int sys$faol(__unknown_params);
/*  $FILES_64								    */
/*									    */
/*    Call the Files-64 file system					    */
/*									    */
/*     $FILES_64     [efn] ,func ,fsb ,[astadr] ,[astprm]		    */
/*									    */
/*     efn    = number of event flag to set on completion		    */
/*									    */
/*     func   = function code specifying action to be performed		    */
/*									    */
/*     fsb    = address of File System Block				    */
/*									    */
/*     astadr = address of entry mask of AST routine			    */
/*									    */
/*     astprm = value to be passed to AST routine as argument		    */
/*									    */
#define	 sys$files_64  SYS$FILES_64
int sys$files_64(__unknown_params);
/*  $FILESCAN								    */
/*									    */
/*    Scan a string and identify a file specification			    */
/*									    */
/*     $FILESCAN    srcstr, [valuelst], [fldflags] [,auxout] [,retlen]	    */
/*									    */
/*	srcstr	  = address of string descriptor for source string	    */
/*	valuelst  = address of a list of item descriptors		    */
/*	fldflags  = address of a longword to receive flags		    */
/*	auxout	  = address of string descriptor for output string	    */
/*	retlen	  = address to store length of returned output string	    */
/*									    */
#define	 sys$filescan  SYS$FILESCAN
int sys$filescan(__unknown_params);
/*									    */
/*  $FIND								    */
/*									    */
/*    Find Record in File						    */
/*									    */
/*	$FIND rab, [err], [suc]						    */
/*									    */
/*	rab	= address of rab					    */
/*									    */
/*	err	= address of user error completion routine		    */
/*									    */
/*	suc	= address of user success completion routine		    */
/*									    */
#define	 sys$find  SYS$FIND
int sys$find(__unknown_params);
/*									    */
/*  $FIND_HELD								    */
/*									    */
/*    Find Identifiers Held By Holder					    */
/*									    */
/*	$FIND_HELD holder, [id], [attrib], [contxt]			    */
/*									    */
/*	holder	= address of a quadword which specifies the holder	    */
/*		  id of the records to find				    */
/*	id	= address to return the identifier longword		    */
/*	attrib	= address to return the holder attributes longword	    */
/*	contxt	= address of a longword containing the record stream	    */
/*		  context. initially should be zero, value output	    */
/*		  on first call, value input on subsequent calls.	    */
/*									    */
#define	 sys$find_held	SYS$FIND_HELD
int sys$find_held(__unknown_params);
/*									    */
/*  $FIND_HOLDER							    */
/*									    */
/*    Find Holder Of Identifier						    */
/*									    */
/*	$FIND_HOLDER id, [holder], [attrib], [contxt]			    */
/*									    */
/*	id	= identifier longword whose holder records		    */
/*		  are to be found					    */
/*	holder	= address to return the holder id quadword		    */
/*	attrib	= address to return the attributes longword		    */
/*	contxt	= address of a longword containing the record stream	    */
/*		  context. initially should be zero, value output	    */
/*		  on first call, value input on subsequent calls.	    */
/*									    */
#define	 sys$find_holder  SYS$FIND_HOLDER
int sys$find_holder(__unknown_params);
/*									    */
/*  $FINISH_RDB								    */
/*									    */
/*    Clean up RMS Stream						    */
/*									    */
/*	$FINISH_RDB contxt						    */
/*									    */
/*	contxt	= address of a longword containing the record stream	    */
/*		  context.						    */
/*									    */
#define	 sys$finish_rdb	 SYS$FINISH_RDB
int sys$finish_rdb(__unknown_params);
/*  $FORCEX								    */
/*									    */
/*    Force Exit							    */
/*									    */
/*     $FORCEX	[pidadr] ,[prcnam] ,[code]				    */
/*									    */
/*     pidadr = address of process id of process to be forced to exit	    */
/*									    */
/*     prcnam = address of process name descriptor for forced process	    */
/*									    */
/*     code   = longword completion status for exit service		    */
/*									    */
#define	 sys$forcex  SYS$FORCEX
int sys$forcex(__unknown_params);
/*									    */
/*  $FORGE_WORD								    */
/*									    */
/*    Forge random word.						    */
/*									    */
/*	$FORGE_WORD [minlen], [maxlen], [mindata], [flags], [retdata], outlen, outstr */
/*									    */
/*   minlen	minimum word length to return				    */
/*   maxlen	maximum word length to return				    */
/*   mindata	minimum amount of data to return (in decibits)		    */
/*   flags	miscellaneous flags					    */
/*   retdata	longword to receive actual amount of information in word    */
/*   outlen	word to receive length of returned word			    */
/*   outstr	address of buffer to receive word			    */
/*									    */
#define	 sys$forge_word	 SYS$FORGE_WORD
int sys$forge_word(__unknown_params);
/*									    */
/*  $FORMAT_ACL								    */
/*									    */
/*    Format an Access Control list Entry				    */
/*									    */
/*	$FORMAT_ACL acl-entry, [acl-length], acl-string,		    */
/*		    [line-width], [term-desc], [line-indent],		    */
/*		    [bit-names], [routin]				    */
/*									    */
/*	acl-entry	= address of a descriptor of a buffer which	    */
/*			  contains the ACE				    */
/*									    */
/*	acl-length	= address of a word to receive the length of	    */
/*			  the output string				    */
/*									    */
/*	acl-string	= address of a descriptor of a buffer into	    */
/*			  which the output string is to be stored	    */
/*									    */
/*	line-width	= address of the maximum line width		    */
/*			  (0 = infinite)				    */
/*									    */
/*	term_desc	= address of a character descriptor containing	    */
/*			  a character string to be inserted whenever	    */
/*			  the line segment length exceeds the line-width    */
/*									    */
/*	line-indent	= address of the number of columns to indent	    */
/*			  the output line segment			    */
/*									    */
/*	bit-names	= address of a access bit name table (32 entries)   */
/*									    */
/*	routin		= address of routine to be executed in kernel mode  */
/*									    */
#define	 sys$format_acl	 SYS$FORMAT_ACL
int sys$format_acl(__unknown_params);
/*									    */
/*  $FORMAT_AUDIT	fmttyp, audmsg, [outlen], outbuf,		    */
/*			[width], [trmdsc], [routin], [fmtflg]		    */
/*									    */
/*    Format security auditing event message				    */
/*									    */
/*	fmttyp		= format type					    */
/*									    */
/*	audmsg		= address of the message to format		    */
/*									    */
/*	outlen		= address of a word to receive length of output string */
/*									    */
/*	outbuf		= Address of a descriptor of a buffer to receive    */
/*			  the formatted event message			    */
/*									    */
/*	width		= address of a word containing the display width    */
/*									    */
/*	trmdsc		= address of a descriptor containing the line	    */
/*			  terminator character(s)			    */
/*									    */
/*	routin		= address of an output routine			    */
/*									    */
/*	fmtflg		= format control flags				    */
#define	 sys$format_audit  SYS$FORMAT_AUDIT
int sys$format_audit(__unknown_params);
/*  $FORMAT_CLASS	itmlst, [routin]				    */
/*									    */
/*    Format access class strings					    */
/*									    */
/*     itmlst = address of a list of item descriptors			    */
/*									    */
/*     routin = address of routine to be executed in kernel mode	    */
/*									    */
/*									    */
#define	 sys$format_class  SYS$FORMAT_CLASS
int sys$format_class(__unknown_params);
/*									    */
/*  $FREE								    */
/*									    */
/*    Free Record							    */
/*									    */
/*	$FREE rab, [err], [suc]						    */
/*									    */
/*	rab	= address of fab					    */
/*									    */
/*	err	= address of user error completion routine		    */
/*									    */
/*	suc	= address of user success completion routine		    */
/*									    */
#define	 sys$free  SYS$FREE
int sys$free(__unknown_params);
/*									    */
/*  $FLUSH								    */
/*									    */
/*    Flush Record							    */
/*									    */
/*	$FLUSH rab, [err], [suc]					    */
/*									    */
/*	rab	= address of rab					    */
/*									    */
/*	err	= address of user error completion routine		    */
/*									    */
/*	suc	= address of user success completion routine		    */
/*									    */
#define	 sys$flush  SYS$FLUSH
int sys$flush(__unknown_params);
/*  $GET_SECURITY							    */
/*									    */
/*    Get Object Securty Profile					    */
/*									    */
/*     $GET_SECURITY [clsnam], [objnam], [objhan], [flags], [itmlst], [context], [acmode] */
/*									    */
#define	 sys$get_security  SYS$GET_SECURITY
int sys$get_security(__unknown_params);
/*									    */
/*  $GET								    */
/*									    */
/*    Get Record from File						    */
/*									    */
/*	$GET rab, [err], [suc]						    */
/*									    */
/*	rab	= address of rab					    */
/*									    */
/*	err	= address of user error completion routine		    */
/*									    */
/*	suc	= address of user success completion routine		    */
/*									    */
#define	 sys$get  SYS$GET
int sys$get(__unknown_params);
/*									    */
/*  $GET_ARITH_EXCEPTION						    */
/*									    */
/*    Get AXP arithmetic exception context information			    */
/*									    */
/*	$GET_ARITH_EXCEPTION sigarg, mcharg, buffer			    */
/*									    */
/*	sigarg	= address of signal array of the exception		    */
/*									    */
/*	mcharg	= address of mechanism array of the exception		    */
/*									    */
/*	buffer	= address of buffer to return information		    */
/*									    */
#define	 sys$get_arith_exception  SYS$GET_ARITH_EXCEPTION
int sys$get_arith_exception(__unknown_params);
/*  $GETCHN								    */
/*									    */
/*    Get I/O Channel Information					    */
/*									    */
/*     $GETCHN	chan ,[prilen] ,[pribuf] ,[scdlen] ,[scdbuf]		    */
/*									    */
/*     chan   = number of a channel assigned to the device		    */
/*									    */
/*     prilen = address of word to receive length of primary buffer	    */
/*									    */
/*     pribuf = address of primary buffer descriptor			    */
/*									    */
/*     scdlen = address of word to receive length of secondary buffer	    */
/*									    */
/*     scdbuf = address of secondary buffer descriptor			    */
/*									    */
#define	 sys$getchn  SYS$GETCHN
int sys$getchn(__unknown_params);
/*  $GETDEV								    */
/*									    */
/*    Get I/O Device Information					    */
/*									    */
/*     $GETDEV	devnam	,[prilen] ,[pribuf] ,[scdlen] ,[scdbuf]		    */
/*									    */
/*     devnam = address of device name or logical name descriptor	    */
/*									    */
/*     prilen = address of word to receive length of primary buffer	    */
/*									    */
/*     pribuf = address of primary buffer descriptor			    */
/*									    */
/*     scdlen = address of word to receive length of secondary buffer	    */
/*									    */
/*     scdbuf = address of secondary buffer descriptor			    */
/*									    */
#define	 sys$getdev  SYS$GETDEV
int sys$getdev(__unknown_params);
/*									    */
/*  $GETDTI								    */
/*									    */
/*    Get Distributed Transaction Information				    */
/*									    */
/*	$GETDTI [efn], [flags], iosb, [astadr], [astprm], [log_id], context, */
/*	  ($GETDTIW)		search, itmlst				    */
/*									    */
/*	efn	= event flag to set at completion			    */
/*	flags	= operation flags					    */
/*	iosb	= address of a quadword I/O status block		    */
/*	astadr	= address of the entry mask of an AST routine		    */
/*	astprm	= value to be passed to AST routine			    */
/*	log_id	= address of log id for TM log				    */
/*	context = address of longword search context			    */
/*	search	= address of a list of search criteria items		    */
/*	itmlst	= address of a list of item descriptors			    */
/*									    */
#define	 sys$getdti  SYS$GETDTI
int sys$getdti(__unknown_params);
#define	 sys$getdtiw  SYS$GETDTIW
int sys$getdtiw(__unknown_params);
/*  $GETDVI								    */
/*									    */
/*    Get Device/Volume Information					    */
/*									    */
/*     $GETDVI	[efn] ,[chan] ,[devnam] ,itmlst ,[iosb] ,[astadr]	    */
/*    ($GETDVIW)	  ,[astprm] ,[nullarg]				    */
/*									    */
/*     efn    = event flag to be set at completion			    */
/*									    */
/*     chan   = number of a channel assigned to the device or		    */
/*		0 if device is specified by the devnam parameter	    */
/*									    */
/*     devnam = address of device name or logical name descriptor	    */
/*									    */
/*     itmlst = address of a list of item descriptors			    */
/*									    */
/*     iosb   = address of a quadword I/O status block			    */
/*									    */
/*     astadr = address of entry mask of AST routine			    */
/*									    */
/*     astprm = value to be passed to AST routine			    */
/*									    */
/*     nullarg = reserved argument					    */
/*									    */
/*									    */
#define	 sys$getdvi  SYS$GETDVI
int sys$getdvi(__unknown_params);
#define	 sys$getdviw  SYS$GETDVIW
int sys$getdviw(__unknown_params);
/*  $GETEVI								    */
/*									    */
/*    Get Event Information						    */
/*									    */
/*     $GETEVI	itmlst ,[nullarg]					    */
/*									    */
/*     itmlst = address of a list of item descriptors			    */
/*									    */
#define	 sys$getevi  SYS$GETEVI
int sys$getevi(__unknown_params);
/*  $GETJPI								    */
/*									    */
/*    Get Job/Process Information					    */
/*									    */
/*     $GETJPI	[efn] ,[pidadr] ,[prcnam] ,itmlst ,[iosb], [astadr],	    */
/*     ($GETJPIW)   [astprm]						    */
/*									    */
/*     efn    = event flag to be set at completion			    */
/*									    */
/*     pidadr = address of process identification			    */
/*									    */
/*     prcnam = address of process name string descriptor		    */
/*									    */
/*     itmlst = address of a list of item descriptors			    */
/*									    */
/*     iosb   = address of a quadword I/O status block			    */
/*									    */
/*     astadr = address of entry mask of AST routine			    */
/*									    */
/*     astprm = value to be passed to AST routine as an argument	    */
/*									    */
/*									    */
#define	 sys$getjpi  SYS$GETJPI
int sys$getjpi(__unknown_params);
#define	 sys$getjpiw  SYS$GETJPIW
int sys$getjpiw(__unknown_params);
/*  $GETLKI								    */
/*									    */
/*    Get Lock Information						    */
/*									    */
/*     $GETLKI	[efn] ,lkidadr ,itmlst ,[iosb], [astadr], [astprm],	    */
/*     ($GETLKIW)   [reserved]						    */
/*									    */
/*     efn    = event flag to be set at completion			    */
/*									    */
/*     lkidadr = address of lock identification				    */
/*									    */
/*     itmlst = address of a list of item descriptors			    */
/*									    */
/*     iosb   = address of a quadword I/O status block			    */
/*									    */
/*     astadr = address of entry mask of AST routine			    */
/*									    */
/*     astprm = value to be passed to AST routine as an argument	    */
/*									    */
/*     reserved = reserved parameter					    */
/*									    */
/*									    */
#define	 sys$getlki  SYS$GETLKI
int sys$getlki(__unknown_params);
#define	 sys$getlkiw  SYS$GETLKIW
int sys$getlkiw(__unknown_params);
/*  $GETMSG								    */
/*									    */
/*    Get Message							    */
/*									    */
/*     $GETMSG	msgid ,msglen ,bufadr ,[flags] ,[outadr]		    */
/*									    */
/*     msgid  = identification of message to be retrieved		    */
/*									    */
/*     msglen = address	 of  a	word  to  receive  length  of  string	    */
/*	 returned							    */
/*									    */
/*     bufadr = address of buffer descriptor  of  buffer  to  receive	    */
/*	 string								    */
/*									    */
/*     flags  = flag bits for message content (macro default = 15)	    */
/*									    */
/*	     Bit  Value/Meaning						    */
/*									    */
/*	      0	 1 Include text						    */
/*		 0 Do not include text					    */
/*	      1	 1 Include identifier					    */
/*		 0 Do not include identifier				    */
/*	      2	 1 Include severity					    */
/*		 0 Do not include severity				    */
/*	      3	 1 Include component					    */
/*		 0 Do not include component				    */
/*									    */
/*     outadr = address of 4-byte array to receive the following values:    */
/*									    */
/*	 Byte	    Contents						    */
/*									    */
/*	  0  Reserved							    */
/*	  1  Count of FAO arguments					    */
/*	  2  User value							     */
/*	  3  Reserved							    */
/*									    */
#define	 sys$getmsg  SYS$GETMSG
int sys$getmsg(__unknown_params);
/*  $GETPTI								    */
/*									    */
/*    Get Page Table Information					    */
/*									    */
/*     $GETPTI	[inadr],[retadr],[acmode],[mask],[pagcnt]		    */
/*									    */
/*     inadr	= address of two longwords containing starting		    */
/*	and ending virtual address to operate on			    */
/*									    */
/*     retadr	= address of two longwords into which starting		    */
/*	and ending address of pages operated on is returned		    */
/*									    */
/*     acmode	= access mode against which ownership is checked	    */
/*									    */
/*     mask	= mask of page table information control bits		    */
/*									    */
/*     pagcnt	= minimum page count					    */
/*									    */
/*									    */
#define	 sys$getpti  SYS$GETPTI
int sys$getpti(__unknown_params);
/*  $GETQUI								    */
/*									    */
/*    Get Queue Information						    */
/*									    */
/*     $GETQUI	 [efn], func, [context], [itmlst],			    */
/*    ($GETQUIW) [iosb], [astadr], [astprm]				    */
/*									    */
/*     efn     = event flag to be set when request completes		    */
/*     func    = code specifying function to be performed		    */
/*     context = address of a longword containing a context number	    */
/*     itmlst  = address of a list of item descriptors for the operation    */
/*     iosb    = address of a quadword status block to receive the final status */
/*     astadr  = address of an ast routine to be called when request completes */
/*     astprm  = 32-bit ast parameter					    */
/*									    */
#define	 sys$getqui  SYS$GETQUI
int sys$getqui(__unknown_params);
#define	 sys$getquiw  SYS$GETQUIW
int sys$getquiw(__unknown_params);
/*  $GETSYI								    */
/*									    */
/*    Get System-Wide Information					    */
/*									    */
/*     $GETSYI	[efn] ,[csidadr],[nodename],itmlst ,[iosb] ,[astadr],	    */
/*    ($GETSYIW)  [astprm]						    */
/*									    */
/*     efn    = event flag to be set at completion			    */
/*									    */
/*     csidadr = address of cluster system identification		    */
/*									    */
/*     nodename = address of node name string descriptor		    */
/*									    */
/*     itmlst = address of a list of item descriptors			    */
/*									    */
/*     iosb   = address of a quadword I/O status block			    */
/*									    */
/*     astadr = address of entry mask of AST routine			    */
/*									    */
/*     astprm = value to be passed to AST routine			    */
/*									    */
/*									    */
/*     The second and third arguments in the $GETSYI argument list are	    */
/*     not used; they are reserved for future use.			    */
/*									    */
#define	 sys$getsyi  SYS$GETSYI
int sys$getsyi(__unknown_params);
#define	 sys$getsyiw  SYS$GETSYIW
int sys$getsyiw(__unknown_params);
/*  $GETTIM								    */
/*									    */
/*    Get Time								    */
/*									    */
/*     $GETTIM	timadr							    */
/*									    */
/*     timadr = address of a quadword to receive 64-bit current time value  */
/*									    */
#define	 sys$gettim  SYS$GETTIM
int sys$gettim(__unknown_params);
/*  $GETUTC								    */
/*									    */
/*    Get UTC Time							    */
/*									    */
/*     $GETUTC	utcadr							    */
/*									    */
/*     utcadr = address of a utc_date_time to receive 128-bit current UTC time	*/
/*		value							    */
/*									    */
#define	 sys$getutc  SYS$GETUTC
int sys$getutc(__unknown_params);
/*  $GETUAI								    */
/*									    */
/*    Get User Authorization Information				    */
/*									    */
/*     $GETUAI	[efn] ,[contxt] ,usrnam ,itmlst ,[iosb] ,[astadr]	    */
/*		,[astprm]						    */
/*									    */
/*     efn    = event flag to be set at completion			    */
/*									    */
/*     contxt = address of a context longword (UAF IFI & ISI)		    */
/*									    */
/*     usrnam = address of user name descriptor				    */
/*									    */
/*     itmlst = address of a list of item descriptors			    */
/*									    */
/*     iosb   = address of a quadword I/O status block			    */
/*									    */
/*     astadr = address of entry mask of AST routine			    */
/*									    */
/*     astprm = value to be passed to AST routine			    */
/*									    */
/*									    */
#define	 sys$getuai  SYS$GETUAI
int sys$getuai(__unknown_params);
/*  $GOTO_UNWIND							    */
/*									    */
/*    General Unwind Call Stack						    */
/*									    */
/*     $GOTO_UNWIND  [target_invo], [target_pc], [new_r0], [new_r1]	    */
/*									    */
/*     target_invo = address of longword containing the invocation	    */
/*		handle (frame pointer) to unwind call stack		    */
/*									    */
/*     target_pc  = address of longword that contains the to be given	    */
/*		control when the unwind is complete			    */
/*									    */
/*     new_r0 = address of a location that contains the value to be	    */
/*		placed in the saved R0 field of the mechanism array	    */
/*									    */
/*     new_r1 = address of a location that contains the value to be	    */
/*		placed in the saved R1 field of the mechanism array	    */
/*									    */
/*									    */
#define	 sys$goto_unwind  SYS$GOTO_UNWIND
int sys$goto_unwind(__unknown_params);
/*									    */
/*  $GRANTID								    */
/*									    */
/*    Grant Identifier to Process					    */
/*									    */
/*	$GRANTID [pidadr], [prcnam], [id], [name], [prvatr] [,segment]	    */
/*									    */
/*	pidadr	= address of PID of affected process			    */
/*	prcnam	= address of string descriptor of process name		    */
/*	id	= address of quadword identifier and attributes		    */
/*	name	= address of string descriptor of identifier name	    */
/*	prvatr	= address to store attributes of superseded id		    */
/*	segment = optional segment index, by value			    */
/*									    */
#define	 sys$grantid  SYS$GRANTID
int sys$grantid(__unknown_params);
/*									    */
/*  $GRANT_LICENSE							    */
/*									    */
/*  Grant authorization to execute licensed software product.		    */
/*									    */
/*	$GRANT_LICENSE	prdnam ,prducer [,contxt] [,itmlst]		    */
/*									    */
/*	prdnam	= address of descriptor for software product name	    */
/*	prducer = address of descriptor for software producer name	    */
/*	contxt	= address of context buffer (4 longwords)		    */
/*	itmlst	= address of a list of item descriptors			    */
/*									    */
#define	 sys$grant_license  SYS$GRANT_LICENSE
int sys$grant_license(__unknown_params);
/*  $HASH_PASSWORD							    */
/*									    */
/*  Encrypt a user password to produce a quadword hash value.		    */
/*									    */
/*	$HASH_PASSWORD pwd, alg, [salt], usrnam, hash			    */
/*									    */
/*	pwd	= address of descriptor for plaintext password		    */
/*	alg	= algorithm to use for hash				    */
/*	salt	= salt value for use by hash algorithm			    */
/*	usrnam	= address of descriptor of username			    */
/*	hash	= address of output quadword hash buffer		    */
/*									    */
#define	 sys$hash_password  SYS$HASH_PASSWORD
int sys$hash_password(__unknown_params);
/*  $HIBER								    */
/*									    */
/*    Hibernate								    */
/*									    */
/*     $HIBER_S								    */
/*									    */
#define	 sys$hiber  SYS$HIBER
int sys$hiber(void);
/*									    */
/*  $IDTOASC								    */
/*									    */
/*    Identifier To Ascii Conversion					    */
/*									    */
/*	$IDTOASC id, [namlen], [nambuf], [resid], [attrib], [contxt]	    */
/*									    */
/*	id	= identifier longword to convert, or zero to		    */
/*		  find all identifiers (wildcarding)			    */
/*	namlen	= address of a word to store the length of the		    */
/*		  identifier name					    */
/*	nambuf	= address of a character string descriptor that		    */
/*		  describes the buffer to return the identifier name	    */
/*	resid	= address of a longword to return the id found		    */
/*		  while wildcarding					    */
/*	attrib	= address to return the attributes longword		    */
/*	contxt	= address of a longword containing the record stream	    */
/*		  context. initially should be zero, value output	    */
/*		  on first call, value input on subsequent calls.	    */
/*									    */
#define	 sys$idtoasc  SYS$IDTOASC
int sys$idtoasc(__unknown_params);
/*									    */
/*  $IEEE_SET_FP_CONTROL						    */
/*									    */
/*    Set IEEE floating point control register				    */
/*									    */
/*	$IEEE_SET_FP_CONTROL [clrmsk], [setmsk], [prvmsk]		    */
/*									    */
/*	clrmsk	= address of a quadword mask to clear			    */
/*	setmsk	= address of a quadword mask to set			    */
/*	prvmsk	= address of a quadword to return previous value	    */
/*									    */
#define	 sys$ieee_set_fp_control  SYS$IEEE_SET_FP_CONTROL
int sys$ieee_set_fp_control(__unknown_params);
/*  $IMGACT								    */
/*									    */
/*    Image Activation							    */
/*									    */
/*     $IMGACT	name,[dflnam],hdrbuf,[imgctl],[inadr],			    */
/*		[retadr], [ident], [acmode]				    */
/*									    */
/*									    */
/*     name	= address of descriptor for file name string		    */
/*									    */
/*     dflnam	= descriptor for file name string			    */
/*									    */
/*     hdrbuf	= address of 512 byte buffer to write in		    */
/*									    */
/*     imgctl	= image activation control flags			    */
/*									    */
/*     inadr	= address of quadword specifying virtual address	    */
/*		  range to be mapped					    */
/*									    */
/*     retadr	= address of quadword specifying virtual address	    */
/*		  range actually mapped					    */
/*									    */
/*     ident	= address of quadword holding image section match	    */
/*		  control and identifier				    */
/*									    */
/*     acmode	= access mode to be the owner of the created pages	    */
/*									    */
#define	 sys$imgact  SYS$IMGACT
int sys$imgact(__unknown_params);
/*  $IMGFIX								    */
/*									    */
/*    Image Address Fixup Service					    */
/*									    */
/*     $IMGFIX								    */
/*									    */
#define	 sys$imgfix  SYS$IMGFIX
int sys$imgfix(void);
/*  $INIT_VOL								    */
/*									    */
/*    Initialize Volume							    */
/*									    */
/*     $INIT_VOL devnam, volnam, [itmlst]				    */
/*									    */
/*     devnam = device name containing volume to initialize		    */
/*									    */
/*     volnam = name to initialize the volume with			    */
/*									    */
/*     itmlst = address of item code list for initialization options	    */
/*									    */
#define	 sys$init_vol  SYS$INIT_VOL
int sys$init_vol(__unknown_params);
/*  $IPC								    */
/*									    */
/*    Interprocess Communication Request				    */
/*									    */
/*     $IPC	[efn] ,func ,ipcb ,[astadr] ,[astprm]			    */
/*     ($IPCW)								    */
/*									    */
/*     efn    = number of event flag to set on completion		    */
/*									    */
/*     func   = function code specifying action to be performed		    */
/*									    */
/*     ipcb   = address of Interprocess Communication Block		    */
/*									    */
/*     astadr = address of entry mask of AST routine			    */
/*									    */
/*     astprm = value to be passed to AST routine as argument		    */
/*									    */
/*									    */
#define	 sys$ipc  SYS$IPC
int sys$ipc(__unknown_params);
#define	 sys$ipcw  SYS$IPCW
int sys$ipcw(__unknown_params);
/*  $LCKPAG								    */
/*									    */
/*    Lock Pages in Memory						    */
/*									    */
/*     $LCKPAG	inadr ,[retadr] ,[acmode]				    */
/*									    */
/*     inadr  = address of 2-longword array containing starting and	    */
/*		ending addresses of pages to be locked			    */
/*									    */
/*     retadr = address of 2-longword array to receive addresses of	    */
/*		pages actually locked					    */
/*									    */
/*     acmode = access mode to check against the owner of the pages	    */
/*									    */
#define	 sys$lckpag  SYS$LCKPAG
int sys$lckpag(__unknown_params);
/*  $LFS								    */
/*									    */
/*    Call the LFS file system						    */
/*									    */
/*     $LFS	[efn] ,func ,fsb ,[astadr] ,[astprm]			    */
/*									    */
/*     efn    = number of event flag to set on completion		    */
/*									    */
/*     func   = function code specifying action to be performed		    */
/*									    */
/*     fsb    = address of File System Block				    */
/*									    */
/*     astadr = address of entry mask of AST routine			    */
/*									    */
/*     astprm = value to be passed to AST routine as argument		    */
/*									    */
#define	 sys$lfs  SYS$LFS
int sys$lfs(__unknown_params);
/*  $LKWSET								    */
/*									    */
/*    Lock Pages in Working Set						    */
/*									    */
/*     $LKWSET	inadr ,[retadr] ,[acmode]				    */
/*									    */
/*     inadr  = address of 2-longword array containing starting and	    */
/*		ending virtual addresses of pages to be locked		    */
/*									    */
/*     retadr = address of a 2-longword array to receive starting and	    */
/*		ending virtual addresses of pages actually locked	    */
/*									    */
/*     acmode = access mode to be checked against the page owner	    */
/*									    */
#define	 sys$lkwset  SYS$LKWSET
int sys$lkwset(__unknown_params);
/*									    */
/*  $LOOKUP_MAPPING							    */
/*									    */
/*    Find single Mapping record in Mapping database			    */
/*									    */
/*     $LOOKUP_MAPPING initmlst ,[outitmlst]				    */
/*									    */
/*     initmlst	  = address of a list of item descriptors for the operation */
/*     outitmlst  = address of a list of item descriptors for the operation */
/*									    */
#define	 sys$lookup_mapping  SYS$LOOKUP_MAPPING
int sys$lookup_mapping(__unknown_params);
/*  $MGBLSC								    */
/*									    */
/*    Map Global Section						    */
/*									    */
/*     $MGBLSC	inadr ,[retadr] ,[acmode] ,[flags] ,gsdnam ,[ident] ,[relpag] */
/*									    */
/*     inadr  = address of 2-longword array containing starting and	    */
/*		ending addresses of pages to be mapped			    */
/*									    */
/*     retadr = address of 2-longword array to receive virtual		    */
/*		addresses of pages mapped				    */
/*									    */
/*     acmode = access mode of owner of mapped pages			    */
/*									    */
/*     flags  = flags overriding default section characteristics	    */
/*									    */
/*	   Flag	       Meaning						    */
/*									    */
/*	 SEC$M_WRT	Read/write section				    */
/*	 SEC$M_SYSGBL	System global section				    */
/*	 SEC$M_EXPREG	Find first available space			    */
/*									    */
/*     gsdnam = address of global section name descriptor		    */
/*									    */
/*     ident  = address of quadword containing version id and match control */
/*									    */
/*     relpag = relative page number within global section		    */
/*									    */
#define	 sys$mgblsc  SYS$MGBLSC
int sys$mgblsc(__unknown_params);
/*									    */
/*  $MODIFY								    */
/*									    */
/*    Modify File							    */
/*									    */
/*	$MODIFY fab, [err], [suc]					    */
/*									    */
/*	fab	= address of fab					    */
/*									    */
/*	err	= address of user error completion routine		    */
/*									    */
/*	suc	= address of user success completion routine		    */
/*									    */
#define	 sys$modify  SYS$MODIFY
int sys$modify(__unknown_params);
/*									    */
/*  $MODIFY_MAPPING							    */
/*									    */
/*    Modify Mapping record in Mapping database				    */
/*									    */
/*     $MODIFY_MAPPING initmlst, moditmlst				    */
/*									    */
/*     initmlst	  = address of a list of item descriptors for the operation */
/*     moditmlst  = address of a list of item descriptors for the operation */
/*									    */
#define	 sys$modify_mapping  SYS$MODIFY_MAPPING
int sys$modify_mapping(__unknown_params);
/*									    */
/*  $MOD_HOLDER								    */
/*									    */
/*    Modify Holder Record In Rights Database				    */
/*									    */
/*	$MOD_HOLDER id, holder, [set_attrib], [clr_attrib]		    */
/*									    */
/*	id	   = identifier longword				    */
/*	holder	   = address of the holder identifier quadword		    */
/*	set_attrib = longword containing the attributes to set		    */
/*		     into the holder record				    */
/*	clr_attrib = longword containing the attributes to clear	    */
/*		     in the holder record				    */
/*									    */
#define	 sys$mod_holder	 SYS$MOD_HOLDER
int sys$mod_holder(__unknown_params);
/*									    */
/*  $MOD_IDENT								    */
/*									    */
/*    Modify Identifier Record In Rights Database			    */
/*									    */
/*	$MOD_IDENT id, [set_attrib], [clr_attrib], [new_name], [new_value]  */
/*									    */
/*	id	   = identifier longword				    */
/*	set_attrib = longword containing the attributes			    */
/*		     to set into the identifier record			    */
/*	clr_attrib = longword containing the attributes			    */
/*		     to clear in the identifier record			    */
/*	new_name   = address of the new identifier name character	    */
/*		     string descriptor					    */
/*	new_value  = new identifier value longword			    */
/*									    */
#define	 sys$mod_ident	SYS$MOD_IDENT
int sys$mod_ident(__unknown_params);
/*  $MOUNT								    */
/*									    */
/*    Mount Volume							    */
/*									    */
/*     $MOUNT  itmlst							    */
/*									    */
/*     itmlst = Address of a list of item identifiers			    */
/*									    */
#define	 sys$mount  SYS$MOUNT
int sys$mount(__unknown_params);
/*  $MTACCESS								    */
/*									    */
/*    Installation specific accessibility routine			    */
/*									    */
/*  $MTACCESS lblnam, [uic], [std_version], [access_char],		    */
/*	      [access_spec],type					    */
/*									    */
/*    lblnam =	  On input this field is the address of the		    */
/*		  VOL1 or HDR1 label read off the magnetic tape. On	    */
/*		  output of labels this field is zero. The type		    */
/*		  of label is determined by the TYPE field.		    */
/*    uic   =	  This field contains the longword volme UIC passed	    */
/*		  by value.						    */
/*    std_version =  This field contains a byte value of the		    */
/*		     decimal equivalent of the version number		    */
/*		     gotten from the VOL1 label, passed by value.	    */
/*    access_char =  This field contins the byte value of the		    */
/*		     accessibility character specified by the user,	    */
/*		     passed by value. For output of labels only.	    */
/*    access_spec =  This field determines if the character passed	    */
/*		     in ACCESS_CHAR  was specified by user, passed	    */
/*		     by value.	It must contain one of the following	    */
/*		     values:						    */
/*			MTA$K_CHARVALID = YES				    */
/*			MTA$K_NOCHAR = NO				    */
/*		     For output of labels only.				    */
/*    type = This field contains the type of accessibility to process,	    */
/*	     passed by value. It must contain one of the following	    */
/*	     values:							    */
/*			MTA$K_INVOL1 = Input a VOL1 label		    */
/*			MTA$K_INHDR1 = Input a HDR1 label		    */
/*			MTA$K_OUTVOL1 = Output a VOL1 label		    */
/*			MTA$K_OUTHDR1 = Output a HDR1 label		    */
/*									    */
#define	 sys$mtaccess  SYS$MTACCESS
int sys$mtaccess(__unknown_params);
/*  $NUMTIM								    */
/*									    */
/*    Convert Binary Time to Numeric Time				    */
/*									    */
/*     $NUMTIM	timbuf ,[timadr]					    */
/*									    */
/*     timbuf = address of a 7-word buffer to receive numeric time	    */
/*		information						    */
/*									    */
/*     timadr = address of a quadword containing the 64-bit time.  If	    */
/*		0, use current time					    */
/*									    */
#define	 sys$numtim  SYS$NUMTIM
int sys$numtim(__unknown_params);
/*									    */
/*  $NUMUTC								    */
/*									    */
/*    Convert UTC Binary Time to Numeric Time				    */
/*									    */
/*     $NUMUTC	timbuf ,[utcadr]					    */
/*									    */
/*     timbuf = address of a 11-word buffer to receive numeric time	    */
/*		information						    */
/*									    */
/*	 31				 0				    */
/*	 +---------------+---------------+				    */
/*	 | month of year | year since 0	 |    7 word Date (ala NUMTIM)	    */
/*	 +---------------+---------------+				    */
/*	 | hour of day	 | day of month	 |				    */
/*	 +---------------+---------------+				    */
/*	 | sec. of min.	 | min. of hour	 |				    */
/*	 +---------------+---------------+				    */
/*	 |  iDays	 |  hund of Sec	 |				    */
/*	 +---------------+---------------+				    */
/*	 |  imins	 |   ihours	 |     6 word Inaccuracy	    */
/*	 +---------------+---------------+				    */
/*	 |  ihund of sec |   isecs	 |				    */
/*	 +---------------+---------------+				    */
/*			 |  TDF in Min	 |				    */
/*			 +---------------+				    */
/*									    */
/*     utcadr = address of a utc_date_time to convert.			    */
/*		0, use current time					    */
/*									    */
#define	 sys$numutc  SYS$NUMUTC
int sys$numutc(__unknown_params);
/*									    */
/*  $NXTVOL								    */
/*									    */
/*    Go to Next Volume							    */
/*									    */
/*	$NXTVOL rab, [err], [suc]					    */
/*									    */
/*	rab	= address of rab					    */
/*									    */
/*	err	= address of user error completion routine		    */
/*									    */
/*	suc	= address of user success completion routine		    */
/*									    */
#define	 sys$nxtvol  SYS$NXTVOL
int sys$nxtvol(__unknown_params);
/*									    */
/*  $OPEN								    */
/*									    */
/*    Open File								    */
/*									    */
/*	$OPEN fab, [err], [suc]						    */
/*									    */
/*	fab	= address of fab					    */
/*									    */
/*	err	= address of user error completion routine		    */
/*									    */
/*	suc	= address of user success completion routine		    */
/*									    */
#define	 sys$open  SYS$OPEN
int sys$open(__unknown_params);
/*									    */
/*  $PARSE								    */
/*									    */
/*    Parse File Name							    */
/*									    */
/*	$PARSE fab, [err], [suc]					    */
/*									    */
/*	fab	= address of fab					    */
/*									    */
/*	err	= address of user error completion routine		    */
/*									    */
/*	suc	= address of user success completion routine		    */
/*									    */
#define	 sys$parse  SYS$PARSE
int sys$parse(__unknown_params);
/*									    */
/*  $PARSE_ACL								    */
/*									    */
/*    Parse an Access Control list Entry				    */
/*									    */
/*	$PARSE_ACL acl-string ,acl-entry ,[error-position],		    */
/*		   [bit-names], [routin]				    */
/*									    */
/*	acl-string	= address of a descriptor of a buffer which	    */
/*			  contains the text to be parsed		    */
/*									    */
/*	acl-entry	= address of a descriptor of a buffer into	    */
/*			  which the converted ACE is to be written	    */
/*									    */
/*	error-position	= address of a word to receive the number of	    */
/*			  characters actually processed by the service.	    */
/*			  If the service fails, this count points to	    */
/*			  the failing point in the input string.	    */
/*									    */
/*	bit-names	= address of a access bit name table (32 entries)   */
/*									    */
/*	routin		= address of routine to be executed in kernel mode  */
/*									    */
#define	 sys$parse_acl	SYS$PARSE_ACL
int sys$parse_acl(__unknown_params);
/*  $PARSE_CLASS	itmlst, [routin]				    */
/*									    */
/*    Parse access class strings					    */
/*									    */
/*     itmlst = address of a list of item descriptors			    */
/*									    */
/*     routin = address of routine to be executed in kernel mode	    */
/*									    */
/*									    */
#define	 sys$parse_class  SYS$PARSE_CLASS
int sys$parse_class(__unknown_params);
/*   $PERSONA_CREATE							    */
/*									    */
/*     Create Persona							    */
/*									    */
/*	$PERSONA_CREATE	 persona, usrnam, flags				    */
/*									    */
/*	persona		= address of longword holding persona identifier    */
/*									    */
/*	usrnam		= address of user name descriptor		    */
/*									    */
/*	flags		= bitvector value				    */
/*									    */
/*									    */
#define	 sys$persona_create  SYS$PERSONA_CREATE
int sys$persona_create(__unknown_params);
/*   $PERSONA_ASSUME							    */
/*									    */
/*     Assume Persona							    */
/*									    */
/*	$PERSONA_ASSUME	 persona, flags					    */
/*									    */
/*	persona		= address of longword holding persona identifier    */
/*									    */
/*	flags		= longword value				    */
/*									    */
/*									    */
#define	 sys$persona_assume  SYS$PERSONA_ASSUME
int sys$persona_assume(__unknown_params);
/*   $PERSONA_DELETE							    */
/*									    */
/*     Delete Persona							    */
/*									    */
/*	$PERSONA_DELETE	 persona					    */
/*									    */
/*	persona		= address of longword holding persona identifier    */
/*									    */
#define	 sys$persona_delete  SYS$PERSONA_DELETE
int sys$persona_delete(__unknown_params);
/*  $PROCESS_SCAN							    */
/*									    */
/*    Initialize Process_scan context					    */
/*									    */
/*     $Process_scan  pidctx , [itmlst ]				    */
/*									    */
/*     pidctx = address of process ctx id				    */
/*									    */
/*     itmlst = address of a list of item descriptors			    */
/*									    */
/*									    */
#define	 sys$process_scan  SYS$PROCESS_SCAN
int sys$process_scan(__unknown_params);
/*  $PURGWS								    */
/*									    */
/*    Purge Working Set							    */
/*									    */
/*     $PURGWS	inadr							    */
/*									    */
/*     inadr  = address of 2-longword array containing starting and	    */
/*		ending addresses of pages to be removed			    */
/*									    */
#define	 sys$purgws  SYS$PURGWS
int sys$purgws(__unknown_params);
/*									    */
/*  $PUT								    */
/*									    */
/*    Put Record to File						    */
/*									    */
/*	$PUT rab, [err], [suc]						    */
/*									    */
/*	rab	= address of rab					    */
/*									    */
/*	err	= address of user error completion routine		    */
/*									    */
/*	suc	= address of user success completion routine		    */
/*									    */
#define	 sys$put  SYS$PUT
int sys$put(__unknown_params);
/*  $PUTMSG								    */
/*									    */
/*    Put Message							    */
/*									    */
/*     $PUTMSG	msgvec ,[actrtn] ,[facnam], [actprm]			    */
/*									    */
/*     msgvec = address of message argument vector			    */
/*									    */
/*     actrtn = address of entry mask of action routine			    */
/*									    */
/*     facnam = address of facility name string descriptor		    */
/*									    */
/*     actprm = parameter to pass to action routine			    */
/*									    */
#define	 sys$putmsg  SYS$PUTMSG
int sys$putmsg(__unknown_params);
/*  $QIO								    */
/*									    */
/*    Queue I/O Request							    */
/*									    */
/*     $QIO	[efn] ,chan ,func ,[iosb] ,[astadr] ,[astprm]		    */
/*     ($QIOW)	,[p1] ,[p2] ,[p3] ,[p4] ,[p5] ,[p6]			    */
/*									    */
/*     efn    = number of event flag to set on completion		    */
/*									    */
/*     chan   = number of channel on which I/O is directed		    */
/*									    */
/*     func   = function code specifying action to be performed		    */
/*									    */
/*     iosb   = address of quadword I/O status block to receive final	    */
/*		completion status					    */
/*									    */
/*     astadr = address of entry mask of AST routine			    */
/*									    */
/*     astprm = value to be passed to AST routine as argument		    */
/*									    */
/*     p1...  = optional device- and function-specific parameters	    */
/*									    */
#define	 sys$qio  SYS$QIO
int sys$qio(__unknown_params);
#define	 sys$qiow  SYS$QIOW
int sys$qiow(__unknown_params);
/*									    */
/*  $READ								    */
/*									    */
/*    Read Block from File						    */
/*									    */
/*	$READ rab, [err], [suc]						    */
/*									    */
/*	rab	= address of rab					    */
/*									    */
/*	err	= address of user error completion routine		    */
/*									    */
/*	suc	= address of user success completion routine		    */
/*									    */
#define	 sys$read  SYS$READ
int sys$read(__unknown_params);
/*  $READEF								    */
/*									    */
/*    Read Event Flag							    */
/*									    */
/*     $READEF	efn ,state						    */
/*									    */
/*     efn    = event flag number of any flag in the cluster		    */
/*									    */
/*     state  = address of a longword to receive current state of all	    */
/*		flags in the cluster					    */
/*									    */
#define	 sys$readef  SYS$READEF
int sys$readef(__unknown_params);
/*									    */
/*  $READ_THREAD_UNQ							    */
/*									    */
/*    Read thread unique value						    */
/*									    */
/*	$READ_THREAD_UNQ contxt						    */
/*									    */
/*	contxt	= address of quadword in which to return the		    */
/*		  thread unique value					    */
/*									    */
#define	 sys$read_thread_unq  SYS$READ_THREAD_UNQ
int sys$read_thread_unq(__unknown_params);
/*									    */
/*  $RELEASE								    */
/*									    */
/*    Release Record							    */
/*									    */
/*	$RELEASE rab, [err], [suc]					    */
/*									    */
/*	rab	= address of rab					    */
/*									    */
/*	err	= address of user error completion routine		    */
/*									    */
/*	suc	= address of user success completion routine		    */
/*									    */
#define	 sys$release  SYS$RELEASE
int sys$release(__unknown_params);
/*									    */
/*  $RELEASE_LICENSE							    */
/*									    */
/*  Release authorization to execute licensed software product.		    */
/*									    */
/*	$RELEASE_LICENSE  context					    */
/*									    */
/*	contxt	= address of context buffer returned by			    */
/*		  $grant_license (4 longwords)				    */
/*									    */
#define	 sys$release_license  SYS$RELEASE_LICENSE
int sys$release_license(__unknown_params);
/*									    */
/*  $RELEASE_VP								    */
/*									    */
/*    Release the Vector Processor					    */
/*									    */
/*	$RELEASE_VP							    */
/*									    */
#define	 sys$release_vp	 SYS$RELEASE_VP
int sys$release_vp(void);
/*									    */
/*  $RELEASE_VP_INT							    */
/*									    */
/*    Release the Vector Processor, internal form			    */
/*									    */
/*	$RELEASE_VP_INT							    */
/*									    */
#define	 sys$release_vp_int  SYS$RELEASE_VP_INT
int sys$release_vp_int(void);
/*									    */
/*  $REMOVE								    */
/*									    */
/*    Remove File							    */
/*									    */
/*	$REMOVE fab, [err], [suc]					    */
/*									    */
/*	fab	= address of fab					    */
/*									    */
/*	err	= address of user error completion routine		    */
/*									    */
/*	suc	= address of user success completion routine		    */
/*									    */
#define	 sys$remove  SYS$REMOVE
int sys$remove(__unknown_params);
/*									    */
/*  $REM_HOLDER								    */
/*									    */
/*    Remove Holder Record From Rights Database				    */
/*									    */
/*	$REM_HOLDER id, holder						    */
/*									    */
/*	id	= identifier longword					    */
/*	holder	= address of the holder identifier quadword		    */
/*									    */
#define	 sys$rem_holder	 SYS$REM_HOLDER
int sys$rem_holder(__unknown_params);
/*									    */
/*  $REM_IDENT								    */
/*									    */
/*    Remove Identifier From Rights Database				    */
/*									    */
/*	$REM_IDENT id							    */
/*									    */
/*	id	= identifier longword					    */
/*									    */
#define	 sys$rem_ident	SYS$REM_IDENT
int sys$rem_ident(__unknown_params);
/*									    */
/*  $RENAME								    */
/*									    */
/*    Rename File							    */
/*									    */
/*	$RENAME oldfab, [err], [suc], newfab				    */
/*									    */
/*	oldfab	= address of oldfab					    */
/*									    */
/*	err	= address of user error completion routine		    */
/*									    */
/*	suc	= address of user success completion routine		    */
/*									    */
/*	newfab	= address of new fab					    */
#define	 sys$rename  SYS$RENAME
int sys$rename(__unknown_params);
/*									    */
/*  $RESTORE_VP_EXCEPTION						    */
/*									    */
/*    Restore Vector Processor Exception State				    */
/*									    */
/*	$RESTORE_VP_EXCEPTION	excid					    */
/*									    */
/*	excid = address of a context longword				    */
/*									    */
#define	 sys$restore_vp_exception  SYS$RESTORE_VP_EXCEPTION
int sys$restore_vp_exception(__unknown_params);
/*									    */
/*  $RESTORE_VP_EXC_INT							    */
/*									    */
/*    Restore Vector Processor Exception State				    */
/*									    */
/*	$RESTORE_VP_EXC_INT	excid					    */
/*									    */
/*	excid = address of a context longword				    */
/*									    */
#define	 sys$restore_vp_exc_int	 SYS$RESTORE_VP_EXC_INT
int sys$restore_vp_exc_int(__unknown_params);
/*									    */
/*  $RESTORE_VP_STATE							    */
/*									    */
/*    Restore Mainline Vector State					    */
/*									    */
/*	$RESTORE_VP_STATE						    */
/*									    */
#define	 sys$restore_vp_state  SYS$RESTORE_VP_STATE
int sys$restore_vp_state(void);
/*  $RESUME								    */
/*									    */
/*    Resume Suspended Process						    */
/*									    */
/*     $RESUME	[pidadr] ,[prcnam]					    */
/*									    */
/*     pidadr = address of process id of process to be resumed		    */
/*									    */
/*     prcnam = address of process name string descriptor		    */
/*									    */
#define	 sys$resume  SYS$RESUME
int sys$resume(__unknown_params);
/*									    */
/*  $REVOKID								    */
/*									    */
/*    Revoke Identifier from Process					    */
/*									    */
/*	$REVOKID [pidadr], [prcnam], [id], [name], [prvatr] [,segment]	    */
/*									    */
/*	pidadr	= address of PID of affected process			    */
/*	prcnam	= address of string descriptor of process name		    */
/*	id	= address of quadword identifier and attributes		    */
/*	name	= address of string descriptor of identifier name	    */
/*	prvatr	= address to store attributes of superseded id		    */
/*	segment = optional segment index, by value			    */
/*									    */
#define	 sys$revokid  SYS$REVOKID
int sys$revokid(__unknown_params);
/*									    */
/*  $REWIND								    */
/*									    */
/*    Rewind File							    */
/*									    */
/*	$REWIND rab, [err], [suc]					    */
/*									    */
/*	rab	= address of rab					    */
/*									    */
/*	err	= address of user error completion routine		    */
/*									    */
/*	suc	= address of user success completion routine		    */
/*									    */
#define	 sys$rewind  SYS$REWIND
int sys$rewind(__unknown_params);
/*  $RMSRUNDWN								    */
/*									    */
/*    RMS rundown (close all files opened by OpenVMS RMS for		    */
/*    the image or process and halts I/O activity.			    */
/*									    */
/*     $RMSRUNDWN  buf-addr, type-value					    */
/*									    */
/*     buf-addr = a descriptor pointing to a 22-byte buffer		    */
/*		  that is to receive the device identification		    */
/*		  (16 bytes) and the file identification (6 bytes)	    */
/*		  bytes) of an improperly closed output file.		    */
/*     type-value = a single byte code that specifies the type of	    */
/*		    I/O rundown to be performed.			    */
#define	 sys$rmsrundwn	SYS$RMSRUNDWN
int sys$rmsrundwn(__unknown_params);
/*  $RUNDWN								    */
/*									    */
/*    Rundown Process							    */
/*									    */
/*     $RUNDWN	[acmode]						    */
/*									    */
/*     acmode = access mode to rundown; this and all less		    */
/*		privileged access modes are rundown			    */
/*									    */
#define	 sys$rundwn  SYS$RUNDWN
int sys$rundwn(__unknown_params);
/*									    */
/*  $SAVE_VP_EXCEPTION							    */
/*									    */
/*    Save Vector Processor Exception State				    */
/*									    */
/*	$SAVE_VP_EXCEPTION	excid ,[flags]				    */
/*									    */
/*	excid = address of a context longword				    */
/*									    */
/*	flags = noallocation flag					    */
/*		  0 -> allocate	       1 -> don't allocate		    */
/*									    */
#define	 sys$save_vp_exception	SYS$SAVE_VP_EXCEPTION
int sys$save_vp_exception(__unknown_params);
/*									    */
/*  $SAVE_VP_EXC_INT							    */
/*									    */
/*    Save Vector Processor Exception State, internal form		    */
/*									    */
/*	$SAVE_VP_EXC_INT excid ,[flags]					    */
/*									    */
/*	excid = address of a context longword				    */
/*									    */
/*	flags = noallocation flag					    */
/*		  0 -> allocate	       1 -> don't allocate		    */
/*									    */
#define	 sys$save_vp_exc_int  SYS$SAVE_VP_EXC_INT
int sys$save_vp_exc_int(__unknown_params);
/*									    */
/*  $SCAN_INTRUSION							    */
/*									    */
/*    Scan intrusion database						    */
/*									    */
/*	$SCAN_INTRUSION	    logfail_status, failed_user, job_type,	    */
/*			    [source_terminal], [source_node], [source_user], [source_addr], */
/*			    [failed_password], [parent_user], [parent_id], [flags] */
/*									    */
/*	logfail_status	in	login failure status			    */
/*	failed_user	in	address of failed username descriptor	    */
/*	job_type	in	job type index				    */
/*	source_terminal in	address of source terminal descriptor	    */
/*	source_node	in	address of source nodename descriptor	    */
/*	source_user	in	address of source username descriptor	    */
/*	source_address	in	address of source DECnet address	    */
/*	failed_password in	address of failed password (breakin attempts only) */
/*	parent_user	in	address of parent username		    */
/*	parent_id	in	parent PID				    */
/*	flags		in	intrusion service flags			    */
/*									    */
#define	 sys$scan_intrusion  SYS$SCAN_INTRUSION
int sys$scan_intrusion(__unknown_params);
/*									    */
/*  $SCAN_MAPPING							    */
/*									    */
/*    Locate Mapping records in Mapping database			    */
/*									    */
/*     $SCAN_MAPPING initmlst. outitmlst [,contxt]			    */
/*									    */
/*     initmlst	 = address of a list of item descriptors for the operation  */
/*     outitmlst = address of a list of item descriptors for the operation  */
/*     contxt	 = address of a context long word			    */
/*									    */
#define	 sys$scan_mapping  SYS$SCAN_MAPPING
int sys$scan_mapping(__unknown_params);
/*  $SCHDWK								    */
/*									    */
/*    Schedule Wakeup							    */
/*									    */
/*     $SCHDWK	[pidadr] ,[prcnam] ,daytim ,[reptim]			    */
/*									    */
/*     pidadr = address of process id of process to be awakened		    */
/*									    */
/*     prcnam = address of process name string descriptor		    */
/*									    */
/*     daytim = address of quadword containing time to wake		    */
/*									    */
/*     reptim = address of quadword containing repeat time interval	    */
/*									    */
#define	 sys$schdwk  SYS$SCHDWK
int sys$schdwk(__unknown_params);
/*									    */
/*  $SEARCH								    */
/*									    */
/*    Search for File Name						    */
/*									    */
/*	$SEARCH fab, [err], [suc]					    */
/*									    */
/*	fab	= address of fab					    */
/*									    */
/*	err	= address of user error completion routine		    */
/*									    */
/*	suc	= address of user success completion routine		    */
/*									    */
#define	 sys$search  SYS$SEARCH
int sys$search(__unknown_params);
/*  $SETCLUEVT								    */
/*									    */
/*    Set Cluster Event Notification					    */
/*									    */
/*     $SETCLUEVT event, astadr, [astprm], [acmode], [handle]		    */
/*									    */
/*     event   = code indicating type of event				    */
/*									    */
/*     astadr = address of entry mask of AST routine			    */
/*									    */
/*     astprm = value to be passed to AST routine as an argument	    */
/*									    */
/*     acmode = access mode of AST					    */
/*									    */
/*     handle = address of handle					    */
/*									    */
#define	 sys$setcluevt	SYS$SETCLUEVT
int sys$setcluevt(__unknown_params);
/*  $SETDDIR								    */
/*									    */
/*    Read and set the default directory string for the process.	    */
/*									    */
/*     $SETDDIR	 [new-dir-addr] ,[length-addr] ,[cur-dir-addr]		    */
/*									    */
/*     new-dir-addr = a descriptor of the new default directory.	    */
/*									    */
/*     length-addr = a word that is to receive the length of the	    */
/*		     current default directory.				    */
/*									    */
/*     cur-dir-addr = descriptor of a buffer that is to receive		    */
/*		      the current default directory.			    */
#define	 sys$setddir  SYS$SETDDIR
int sys$setddir(__unknown_params);
/*  $SETDFPROT								    */
/*									    */
/*    Read and write the default file protection for the process.	    */
/*									    */
/*     $SETDFPROT  [new-def-prot-addr] ,[cur-def-prot-addr]		    */
/*									    */
/*     new-def-prot-addr = a word that specifies the new default file	    */
/*			   protection specification.			    */
/*									    */
/*     cur-def-prot-addr = a word that is to receive the current default file */
/*			   protection specification.			    */
#define	 sys$setdfprot	SYS$SETDFPROT
int sys$setdfprot(__unknown_params);
/*  $SET_RESOURCE_DOMAIN						    */
/*									    */
/*    Set Resource Domain						    */
/*									    */
/*     $SET_RESOURCE_DOMAIN func ,rsdm_id ,uic_group ,[nullarg] ,[access] ,[acmode] */
/*									    */
/*	func = join or leave function to be performed			    */
/*		1 - Join the System Resource Domain			    */
/*		2 - Join the Process Default Domain			    */
/*		3 - Join a new Resource Domain (not System or Process)	    */
/*									    */
/*	rsdm_id = address of the Resource Domain Id			    */
/*									    */
/*	domain_number = number identifying target Resource Domain	    */
/*									    */
/*	nullarg = Placeholder reserved to Digital			    */
/*									    */
/*	access = Access desired (defined by RSDM$M macro		    */
/*									    */
/*	acmode = requested access mode					    */
/*									    */
/*									    */
#define	 sys$set_resource_domain  SYS$SET_RESOURCE_DOMAIN
int sys$set_resource_domain(__unknown_params);
/*  $SET_SECURITY							    */
/*									    */
/*    Set Object Security Profile					    */
/*									    */
/*     $SET_SECURITY [clsnam], [objnam], [objhan], [flags], [itmlst], [context], [acmode] */
/*									    */
#define	 sys$set_security  SYS$SET_SECURITY
int sys$set_security(__unknown_params);
/*  $SETAST								    */
/*									    */
/*    Set AST Enable							    */
/*									    */
/*     $SETAST	enbflg							    */
/*									    */
/*     enbflg = AST enable indicator for current access mode		    */
/*		  0 -> disable	  1 -> enable				    */
/*									    */
#define	 sys$setast  SYS$SETAST
int sys$setast(__unknown_params);
/*  $SETEF								    */
/*									    */
/*    Set Event Flag							    */
/*									    */
/*     $SETEF  efn							    */
/*									    */
/*     efn    = event flag number of flag to set			    */
/*									    */
#define	 sys$setef  SYS$SETEF
int sys$setef(__unknown_params);
/*  $GETENV								    */
/*									    */
/*    Get an environment variable					    */
/*									    */
/*    $GETENV ItemList							    */
/*									    */
/*    ItemList = address of a zero terminated item list.		    */
/*									    */
/*									    */
#define	 sys$getenv  SYS$GETENV
int sys$getenv(__unknown_params);
/*  $SETENV								    */
/*									    */
/*    Set an environment variable					    */
/*									    */
/*    $SETENV ItemList							    */
/*									    */
/*    ItemList = address of a zero terminated item list.		    */
/*									    */
/*									    */
#define	 sys$setenv  SYS$SETENV
int sys$setenv(__unknown_params);
/*  $SETEVTAST								    */
/*									    */
/*    Establish an Event AST Routine					    */
/*									    */
/*     $SETEVTAST   evtnam, evtadr, [evtfac], [acmode], [flags], [reqid]    */
/*     (SETEVTASTW) ,[evtid], [evtcrd], [efn], [iosb], [astadr]		    */
/*		    ,[astprm], [nullarg]				    */
/*									    */
/*     evtnam = address of descriptor of event name			    */
/*									    */
/*     evtadr = address of entry mask of event AST routine		    */
/*									    */
/*     evtfac = address of event facility code				    */
/*									    */
/*     acmode = access mode of event declaration			    */
/*									    */
/*     flags  = optional flags						    */
/*									    */
/*     reqid  = user provided identification of this request		    */
/*									    */
/*     evtid  = address to receive unique identification of this request    */
/*									    */
/*     evtcrd = amount of AST credit to reserve for request		    */
/*									    */
/*     efn    = event flag to set when $SETEVTAST completes		    */
/*									    */
/*     iosb   = address of a quadword I/O status block			    */
/*									    */
/*     astadr = address of entry mask of completion AST routine		    */
/*									    */
/*     astprm = value to be passed to completion AST routine		    */
/*									    */
#define	 sys$setevtast	SYS$SETEVTAST
int sys$setevtast(__unknown_params);
#define	 sys$setevtastw	 SYS$SETEVTASTW
int sys$setevtastw(__unknown_params);
/*  $SETEXV								    */
/*									    */
/*    Set Exception Vector						    */
/*									    */
/*     $SETEXV	[vector] ,[addres] ,[acmode] ,[prvhnd]			    */
/*									    */
/*     vector = vector number						    */
/*		  0 -> primary vector	1 -> secondary	  2 -> last chance  */
/*									    */
/*     addres = exception handler address (0 indicates deassign vector)	    */
/*									    */
/*     acmode = access mode for which vector is set			    */
/*									    */
/*     prvhnd = address of longword to receive previous handler address	    */
/*									    */
#define	 sys$setexv  SYS$SETEXV
int sys$setexv(__unknown_params);
/*  $SETIME								    */
/*									    */
/*    Set System Time							    */
/*									    */
/*     $SETIME [timadr]							    */
/*									    */
/*     timadr = address of quadword containing	new  system  time  in	    */
/*		64-bit	format.	  If 0, recalibrate system time using	    */
/*		hardware time-of-year clock.				    */
/*									    */
#define	 sys$setime  SYS$SETIME
int sys$setime(__unknown_params);
/*  $SETIMR								    */
/*									    */
/*    Set Timer								    */
/*									    */
/*     $SETIMR	[efn] ,daytim ,[astadr] ,[reqidt] ,[flags]		    */
/*									    */
/*     efn    = event flag to set when timer expires			    */
/*									    */
/*     daytim = address of quadword containing 64-bit time value	    */
/*									    */
/*     astadr = address of entry mask of AST routine			    */
/*									    */
/*     reqidt = request identification of this timer request		    */
/*									    */
/*	flags = only bit 0 used right now.  If bit 0 is set,		    */
/*		 then this timer request is in terms of CPU time.	    */
/*									    */
#define	 sys$setimr  SYS$SETIMR
int sys$setimr(__unknown_params);
/*  $SETPFM								    */
/*									    */
/*    Set Page Fault Monitoring						    */
/*									    */
/*     $SETPFM	[pfmflg] ,[astadr] ,[astprm] ,[acmode]			    */
/*									    */
/*	pfmflg	= function/subfunction bits				    */
/*									    */
/*	astadr	= address of entry mask of AST routine			    */
/*									    */
/*	astprm	= value to be passed to AST routine			    */
/*									    */
/*	acmode	= access mode for which the AST is to be declared	    */
/*									    */
/*	bufcntadr = address of longword for which the number of		    */
/*		    page fault monitoring buffers allocated is stored.	    */
/*									    */
#define	 sys$setpfm  SYS$SETPFM
int sys$setpfm(__unknown_params);
/*  $SETPRA								    */
/*									    */
/*    Set Power Recovery AST						    */
/*									    */
/*     $SETPRA	astadr ,[acmode]					    */
/*									    */
/*     astadr = address of power recovery AST routine			    */
/*									    */
/*     acmode = access mode of AST					    */
/*									    */
#define	 sys$setpra  SYS$SETPRA
int sys$setpra(__unknown_params);
/*  $SETPRI								    */
/*									    */
/*    Set Priority							    */
/*									    */
/*     $SETPRI	[pidadr] ,[prcnam] ,pri ,[prvpri],[pol],[prvpol]	    */
/*									    */
/*     pidadr = address of process id of process to be set		    */
/*									    */
/*     prcnam = address of process name string descriptor		    */
/*									    */
/*     pri    = new base priority for the process			    */
/*									    */
/*     prvpri = address of longword to receive previous base priority	    */
/*									    */
/*     pol    = address of new scheduling policy for the process	    */
/*									    */
/*     prvpol = address of longword to receive previous sched policy	    */
/*									    */
#define	 sys$setpri  SYS$SETPRI
int sys$setpri(__unknown_params);
/*  $SETPRN								    */
/*									    */
/*    Set Process Name							    */
/*									    */
/*     $SETPRN	[prcnam]						    */
/*									    */
/*     prcnam = address of the process name string descriptor		    */
/*									    */
#define	 sys$setprn  SYS$SETPRN
int sys$setprn(__unknown_params);
/*  $SETPRT								    */
/*									    */
/*    Set Protection on Pages						    */
/*									    */
/*     $SETPRT	inadr ,[retadr] ,[acmode] ,prot ,[prvprt]		    */
/*									    */
/*     inadr  = address of 2-longword array containing starting and	    */
/*		ending virtual addresses of pages to change		    */
/*									    */
/*     retadr = address of 2-longword array containing starting and	    */
/*		ending addresses of pages which were changed		    */
/*									    */
/*     acmode = access mode of request					    */
/*									    */
/*     prot   = new protection						    */
/*									    */
/*     prvprt = address of byte to receive previous protection of	    */
/*		last page changed					    */
/*									    */
#define	 sys$setprt  SYS$SETPRT
int sys$setprt(__unknown_params);
/*  $SETPRV								    */
/*									    */
/*    Set privileges.							    */
/*     $SETPRV [enbflg] ,[prvadr] ,[prmflg] ,[prvprv]			    */
/*									    */
/*     enbflg = enable indicator					    */
/*		  0 -> disable	 1 -> enable				    */
/*									    */
/*     prvadr = 64-bit mask defining the privileges to be enabled or	    */
/*		disabled						    */
/*									    */
/*     prmflg = permanent indicator					    */
/*		  0 -> temporary (for this image)  1 -> permanent	    */
/*									    */
/*     prvprv = address of quadword buffer to receive previous privileges   */
/*									    */
#define	 sys$setprv  SYS$SETPRV
int sys$setprv(__unknown_params);
/*  $SETRWM								    */
/*									    */
/*    Set Resource Wait Mode						    */
/*									    */
/*     $SETRWM	[watflg]						    */
/*									    */
/*     watflg = wait indicator						    */
/*	   0 -> wait for resources   1 -> return failure immediately	    */
/*	   (type is NUMBER rather than BOOLEAN since WATFLG=TRUE	    */
/*	   means don't wait, which is the opposite of what is seems)	    */
/*									    */
#define	 sys$setrwm  SYS$SETRWM
int sys$setrwm(__unknown_params);
/*  $SETSFM								    */
/*									    */
/*    Set System Service Failure Mode					    */
/*									    */
/*     $SETSFM	[enbflg]						    */
/*									    */
/*     enbflg = enable indicator					    */
/*		  0 -> disable generation of exceptions on service failures */
/*		  1 -> generate exceptions for system service failures	    */
/*									    */
#define	 sys$setsfm  SYS$SETSFM
int sys$setsfm(__unknown_params);
/*  $SETSSF								    */
/*									    */
/*    Set System Service Filter						    */
/*									    */
/*     $SETSSF	[mask]							    */
/*									    */
/*     mask = flags for services to inhibit				    */
/*									    */
#define	 sys$setssf  SYS$SETSSF
int sys$setssf(__unknown_params);
/*  $SETSHLV								    */
/*									    */
/*    Modify process default unshelving action				    */
/*									    */
/*     $SETSHLV	 [pidadr] ,[prcnam], [shlvflg]				    */
/*									    */
/*     pidadr = address of process id of process			    */
/*									    */
/*     prcnam = address of name string descriptor of process		    */
/*									    */
/*     shlvflg	= longword containing the desired shelving mode		    */
/*		  in the bottom bit. If the bottom bit is set,		    */
/*		  then the default is not to automatically unshelve	    */
/*		  shelved files. If the bottom bit is clear, then	    */
/*		  the default is to automatically unshelve shelved	    */
/*		  files.						    */
/*									    */
#define	 sys$setshlv  SYS$SETSHLV
int sys$setshlv(__unknown_params);
/*  $SETSTK								    */
/*									    */
/*    SET VIRTUAL STACK LIMITS						    */
/*									    */
/*     $SETSTK inadr ,[retadr] ,[acmode]				    */
/*									    */
/*     inadr  = address of 2-longword array containing	starting  and	    */
/*		ending virtual address of stack limits to set		    */
/*									    */
/*     retadr = address of a 2-longword array to receive starting and	    */
/*		ending virtual address of stack limits to set		    */
/*									    */
/*     acmode = access	mode  for  the	stack to change			    */
/*									    */
#define	 sys$setstk  SYS$SETSTK
int sys$setstk(__unknown_params);
/*  $SETSWM								    */
/*									    */
/*    Set Process Swap Mode						    */
/*									    */
/*     $SETSWM	[swpflg]						    */
/*									    */
/*     swpflg = swap indicator						    */
/*		  0 -> enable swapping	 1 -> disable swapping		    */
/*									    */
#define	 sys$setswm  SYS$SETSWM
int sys$setswm(__unknown_params);
/*									    */
/*  $SETDTI								    */
/*									    */
/*    Set Distributed Transaction Information				    */
/*									    */
/*	$SETDTI [efn], [flags], iosb, [astadr], [astprm], context,	    */
/*	  ($SETDTIW)		func, itmlst				    */
/*									    */
/*	efn	= event flag to set at completion			    */
/*	flags	= operation flags					    */
/*	iosb	= address of a quadword I/O status block		    */
/*	astadr	= address of the entry mask of an AST routine		    */
/*	astprm	= value to be passed to AST routine			    */
/*	context = address of longword search context			    */
/*	func	= function code to be performed				    */
/*	itmlst	= address of a list of item descriptors			    */
/*									    */
#define	 sys$setdti  SYS$SETDTI
int sys$setdti(__unknown_params);
#define	 sys$setdtiw  SYS$SETDTIW
int sys$setdtiw(__unknown_params);
/*  $SETUAI								    */
/*									    */
/*    Modify User Authorization Information				    */
/*									    */
/*     $SETUAI	[efn] ,[contxt] ,usrnam ,itmlst ,[iosb] ,[astadr]	    */
/*		,[astprm]						    */
/*									    */
/*     efn    = event flag to be set at completion			    */
/*									    */
/*     contxt = address of a context longword (UAF IFI & ISI)		    */
/*									    */
/*     usrnam = address of user name descriptor				    */
/*									    */
/*     itmlst = address of a list of item descriptors			    */
/*									    */
/*     iosb   = address of a quadword I/O status block			    */
/*									    */
/*     astadr = address of entry mask of AST routine			    */
/*									    */
/*     astprm = value to be passed to AST routine			    */
/*									    */
/*									    */
#define	 sys$setuai  SYS$SETUAI
int sys$setuai(__unknown_params);
/*									    */
/*  $SHOW_INTRUSION							    */
/*									    */
/*    Show intrusion record						    */
/*									    */
/*	$SHOW_INTRUSION	    user_criteria, intruder, intruder_len, breakin_block, [flags], [context] */
/*									    */
/*	user_criteria	in	address of user criteria descriptor	    */
/*	intruder	in out	address of intruder descriptor		    */
/*	intruder_len	   out	address of word to receive intruder string length */
/*	breakin_block	   out	address of intrusion block		    */
/*	flags		in	intrusion service flags			    */
/*	context		in out	address of optional longword context	    */
/*									    */
#define	 sys$show_intrusion  SYS$SHOW_INTRUSION
int sys$show_intrusion(__unknown_params);
/*  $SNDACC								    */
/*									    */
/*    Send Message to Accounting Manager				    */
/*									    */
/*     $SNDACC	msgbuf ,[chan]						    */
/*									    */
/*     msgbuf = address of message buffer string descriptor		    */
/*									    */
/*     chan   = number of channel assigned to mailbox to receive reply	    */
/*									    */
#define	 sys$sndacc  SYS$SNDACC
int sys$sndacc(__unknown_params);
/*  $SNDERR								    */
/*									    */
/*    Send Message to Error Logger					    */
/*									    */
/*     $SNDERR msgbuf							    */
/*									    */
/*     msgbuf = address of message buffer string descriptor		    */
/*									    */
#define	 sys$snderr  SYS$SNDERR
int sys$snderr(__unknown_params);
/*  $SNDOPR								    */
/*									    */
/*    Send Message to Operator						    */
/*									    */
/*     $SNDOPR	msgbuf ,[chan]						    */
/*									    */
/*     msgbuf = address of message buffer string descriptor		    */
/*									    */
/*     chan   = number of channel assigned to mailbox to receive reply	    */
/*									    */
#define	 sys$sndopr  SYS$SNDOPR
int sys$sndopr(__unknown_params);
/*  $SNDSMB								    */
/*									    */
/*    Send Message to Symbiont Manager					    */
/*									    */
/*     $SNDSMB	msgbuf ,[chan]						    */
/*									    */
/*     msgbuf = address of message buffer string descriptor		    */
/*									    */
/*     chan   = number of channel assigned to mailbox to receive reply	    */
/*									    */
#define	 sys$sndsmb  SYS$SNDSMB
int sys$sndsmb(__unknown_params);
/*  $SNDJBC								    */
/*									    */
/*    Send Message to Job Controller					    */
/*									    */
/*     $SNDJBC	 [efn], func, [nullarg], [itmlst],			    */
/*    ($SNDJBCW) [iosb], [astadr], [astprm]				    */
/*									    */
/*     efn     = event flag to be set when request completes		    */
/*     func    = code specifying function to be performed		    */
/*     nullarg = reserved argument for similarity with $getxxx services	    */
/*     itmlst  = address of a list of item descriptors for the operation    */
/*     iosb    = address of a quadword status block to receive the final status */
/*     astadr  = address of an ast routine to be called when request completes */
/*     astprm  = 32-bit ast parameter					    */
/*									    */
#define	 sys$sndjbc  SYS$SNDJBC
int sys$sndjbc(__unknown_params);
#define	 sys$sndjbcw  SYS$SNDJBCW
int sys$sndjbcw(__unknown_params);
/*									    */
/*  $SPACE								    */
/*									    */
/*    Space to Record in File						    */
/*									    */
/*	$SPACE rab, [err], [suc]					    */
/*									    */
/*	rab	= address of rab					    */
/*									    */
/*	err	= address of user error completion routine		    */
/*									    */
/*	suc	= address of user success completion routine		    */
/*									    */
#define	 sys$space  SYS$SPACE
int sys$space(__unknown_params);
/*  $SUSPND								    */
/*									    */
/*    Suspend Process							    */
/*									    */
/*     $SUSPND	[pidadr] ,[prcnam], [flags]				    */
/*									    */
/*     pidadr = address of process id of process to be suspended	    */
/*									    */
/*     prcnam = address of name string descriptor of process		    */
/*									    */
/*     flags  = longword of bit flags, of which only bit 0 is		    */
/*		  currently used.  If bit 0 is set, then this		    */
/*		  is a hard suspend request; if clear this is		    */
/*		  a soft suspend request.				    */
/*									    */
#define	 sys$suspnd  SYS$SUSPND
int sys$suspnd(__unknown_params);
/*  $SYNCH								    */
/*									    */
/*    Synchronize Event Completion					    */
/*									    */
/*     $SYNCH [iosb] ,[efn]						    */
/*									    */
/*     efn    = event flag to be set at completion			    */
/*									    */
/*     iosb   = address of a quadword I/O status block			    */
/*									    */
#define	 sys$synch  SYS$SYNCH
int sys$synch(__unknown_params);
/*  $SUBSYSTEM								    */
/*									    */
/*    Modify Protected Subsystem Attributes				    */
/*									    */
/*     $SUBSYSTEM enbflg						    */
/*									    */
/*     enbflg = enable indicator					    */
/*		0 => disable image identifiers				    */
/*		1 => restore image identifiers				    */
/*									    */
#define	 sys$subsystem	SYS$SUBSYSTEM
int sys$subsystem(__unknown_params);
/*									    */
/*  $TIMCON								    */
/*									    */
/*    Convert between binary UTC and Smithsonian times			    */
/*									    */
/*     $TIMCON smntim, utctim, cvtflg					    */
/*									    */
/*	For cvtflg = 0 (Convert UTC to Smithsonian)			    */
/*	smnadr = Address of the output quadword to be written		    */
/*		 with the UTC time converted to date_time		    */
/*	utcadr = Address of the input 128 bit utc_date_time time to	    */
/*		 be converted						    */
/*	cvtflg = 0							    */
/*									    */
/*	For cvtflg = 1 (Convert Smithsonian to UTC)			    */
/*	smnadr = Address of input Smithsonian binary time to be		    */
/*		 converted (VMS Binabs time).				    */
/*	utcadr = Address of the output 128 bit binary time to		    */
/*		 be written with the converted time			    */
/*	cvtflg = 1							    */
/*									    */
#define	 sys$timcon  SYS$TIMCON
int sys$timcon(__unknown_params);
/*  $TRNLNM								    */
/*									    */
/*    Translate Logical Name						    */
/*									    */
/*     $TRNLNM	[attr], tabnam, [lognam], [acmode], [itemlist]		    */
/*									    */
/*     attr = address of logical name translation attributes		    */
/*									    */
/*	Attribute	 Meaning					    */
/*	LNM$M_CASE_BLIND Search of string is case insensitive		    */
/*									    */
/*     tabnam = address of logical name table name string descriptor	    */
/*									    */
/*     lognam = address of logical name string descriptor		    */
/*									    */
/*     acmode = address of access mode for logical name			    */
/*									    */
/*     itmlst = address of a list of item descriptors			    */
/*									    */
#define	 sys$trnlnm  SYS$TRNLNM
int sys$trnlnm(__unknown_params);
/*  $TRNLOG								    */
/*									    */
/*    Translate Logical Name						    */
/*									    */
/*     $TRNLOG	lognam ,[rsllen] ,rslbuf ,[table] ,[acmode] ,[dsbmsk]	    */
/*									    */
/*     lognam = address of logical name string descriptor		    */
/*									    */
/*     rsllen = address of word to receive length of resultant name	    */
/*									    */
/*     rslbuf = address of descriptor for buffer to receive resultant	    */
/*		string							    */
/*									    */
/*     table  = address of byte to receive logical name table number	    */
/*									    */
/*     acmode = address of byte to receive access mode of entry		    */
/*		(process table only)					    */
/*									    */
/*     dsbmsk = table search disable mask				    */
/*									    */
/*	 Bit Set    Meaning						    */
/*									    */
/*	    0	    Do not search system table				    */
/*	    1	    Do not search group table				    */
/*	    2	    Do not search process table				    */
/*									    */
#define	 sys$trnlog  SYS$TRNLOG
int sys$trnlog(__unknown_params);
/*									    */
/*  $TRUNCATE								    */
/*									    */
/*    Truncate Record							    */
/*									    */
/*	$TRUNCATE rab, [err], [suc]					    */
/*									    */
/*	rab	= address of rab					    */
/*									    */
/*	err	= address of user error completion routine		    */
/*									    */
/*	suc	= address of user success completion routine		    */
/*									    */
#define	 sys$truncate  SYS$TRUNCATE
int sys$truncate(__unknown_params);
/*  $ULKPAG								    */
/*									    */
/*    Unlock Pages From Memory						    */
/*									    */
/*     $ULKPAG	inadr ,[retadr] ,[acmode]				    */
/*									    */
/*     inadr  = address of 2-longword array containing starting and	    */
/*		ending virtual addresses of pages to be unlocked	    */
/*									    */
/*     retadr = address of a 2-longword array to receive starting and	    */
/*		ending virtual addresses of pages actually unlocked	    */
/*									    */
/*     acmode = access mode to check against the owner of the pages	    */
/*									    */
#define	 sys$ulkpag  SYS$ULKPAG
int sys$ulkpag(__unknown_params);
/*  $ULWSET								    */
/*									    */
/*    Unlock Pages From Working Set					    */
/*									    */
/*     $ULWSET	inadr ,[retadr] ,[acmode]				    */
/*									    */
/*     inadr  = address of 2-longword array containing starting and	    */
/*		ending virtual addresses of pages to be unlocked	    */
/*									    */
/*     retadr = address of a 2-longword array to receive starting and	    */
/*		ending virtual addresses of pages actually unlocked	    */
/*									    */
/*     acmode = access mode to check against the owner of the pages	    */
/*									    */
#define	 sys$ulwset  SYS$ULWSET
int sys$ulwset(__unknown_params);
/*  $UNWIND								    */
/*									    */
/*    Unwind Call Stack							    */
/*									    */
/*     $UNWIND	[depadr] ,[newpc]					    */
/*									    */
/*     depadr = address of longword containing number of logical frames	    */
/*		(depth) to unwind call stack				    */
/*									    */
/*     newpc  = address to be given control when the unwind is complete	    */
/*									    */
#define	 sys$unwind  SYS$UNWIND
int sys$unwind(__unknown_params);
/*									    */
/*  $UPDATE								    */
/*									    */
/*    Update Record							    */
/*									    */
/*	$UPDATE fab, [err], [suc]					    */
/*									    */
/*	rab	= address of rab					    */
/*									    */
/*	err	= address of user error completion routine		    */
/*									    */
/*	suc	= address of user success completion routine		    */
/*									    */
#define	 sys$update  SYS$UPDATE
int sys$update(__unknown_params);
/*  $UPDSEC								    */
/*									    */
/*    Update Section File on Disk					    */
/*									    */
/*     $UPDSEC	inadr ,[retadr] ,[acmode] ,[updflg] ,[efn] ,[iosb]	    */
/*     ($UPDSECW)  ,[astadr] ,[astprm]					    */
/*									    */
/*     inadr  = address of 2-longword array containing starting and	    */
/*		ending	addresses  of  the  pages  to  be potentially	    */
/*		written							    */
/*									    */
/*     retadr = address of 2-longword array to receive	addresses  of	    */
/*		the  first  and	 last  page  queued  in the first I/O	    */
/*		request							    */
/*									    */
/*     acmode = access	mode  on  behalf  of  which  the  service  is	    */
/*		performed						    */
/*									    */
/*     updflg = update indicator for read/write global sections		    */
/*		  0 -> write all read/write pages in the section	    */
/*		  1 -> write all pages modified by the caller		    */
/*									    */
/*     efn    = number of event flag to set when the section file  is	    */
/*		updated							    */
/*									    */
/*     iosb   = address of quadword I/O status block			    */
/*									    */
/*     astadr = address of entry mask of an AST service routine		    */
/*									    */
/*     astprm = AST parameter to be passed to the AST service routine	    */
/*									    */
#define	 sys$updsec  SYS$UPDSEC
int sys$updsec(__unknown_params);
#define	 sys$updsecw  SYS$UPDSECW
int sys$updsecw(__unknown_params);
/*									    */
/*  $VERIFY_PROXY							    */
/*									    */
/*    Verify proxy record						    */
/*									    */
/*	$VERIFY_PROXY	rem_node, rem_user, [proposed_user], local_user, local_user_len, flags */
/*									    */
/*	rem_node	in	address of remote node descriptor	    */
/*	rem_user	in	address of remote user descriptor	    */
/*	proposed_user	in	address of optional proposed user descriptor */
/*	local_user	   out	address of descriptor to receive local user */
/*	local_user_len	   out	address of word to receive local user length */
/*	flags		in	proxy service flags			    */
/*									    */
#define	 sys$verify_proxy  SYS$VERIFY_PROXY
int sys$verify_proxy(__unknown_params);
/*									    */
/*  $WAIT								    */
/*									    */
/*    Wait on File							    */
/*									    */
/*	$WAIT rab							    */
/*									    */
/*	rab	= address of rab					    */
/*									    */
/*									    */
#define	 sys$wait  SYS$WAIT
int sys$wait(__unknown_params);
/*  $WAITFR								    */
/*									    */
/*    Wait for Single Event Flag					    */
/*									    */
/*     $WAITFR	efn							    */
/*									    */
/*     efn    = event flag number to wait for				    */
/*									    */
#define	 sys$waitfr  SYS$WAITFR
int sys$waitfr(__unknown_params);
/*  $WAKE								    */
/*									    */
/*    Wake								    */
/*									    */
/*     $WAKE  [pidadr] ,[prcnam]					    */
/*									    */
/*     pidadr = address of process id  of process to be awakened	    */
/*									    */
/*     prcnam = address of name string descriptor of process to be	    */
/*		awakened						    */
/*									    */
#define	 sys$wake  SYS$WAKE
int sys$wake(__unknown_params);
/*  $WFLAND								    */
/*									    */
/*    Wait for Logical AND of Event Flags				    */
/*									    */
/*     $WFLAND	efn ,mask						    */
/*									    */
/*     efn    = event flag number of any flag within the cluster	    */
/*									    */
/*     mask   = 32-bit mask of flags that must be set			    */
/*									    */
#define	 sys$wfland  SYS$WFLAND
int sys$wfland(__unknown_params);
/*  $WFLOR								    */
/*									    */
/*    Wait for Logical OR of Event Flags				    */
/*									    */
/*     $WFLOR  efn ,mask						    */
/*									    */
/*     efn    = event flag number of any flag within the cluster	    */
/*									    */
/*     mask   = 32-bit mask of flags, any of which must be set		    */
/*									    */
#define	 sys$wflor  SYS$WFLOR
int sys$wflor(__unknown_params);
/*									    */
/*  $WRITE								    */
/*									    */
/*    Write Block to  File						    */
/*									    */
/*	$WRITE rab, [err], [suc]					    */
/*									    */
/*	rab	= address of rab					    */
/*									    */
/*	err	= address of user error completion routine		    */
/*									    */
/*	suc	= address of user success completion routine		    */
/*									    */
#define	 sys$write  SYS$WRITE
int sys$write(__unknown_params);
/*									    */
/*  $WRITE_THREAD_UNQ							    */
/*									    */
/*    Write thread unique value						    */
/*									    */
/*	$WRITE_THREAD_UNQ  contxt					    */
/*									    */
/*	contxt	= address of quadword that contains the			    */
/*		  thread unique value to be written			    */
/*									    */
#define	 sys$write_thread_unq  SYS$WRITE_THREAD_UNQ
int sys$write_thread_unq(__unknown_params);
/*  $XFS_CLIENT								    */
/*									    */
/*    Call the XFS client						    */
/*									    */
/*     $XFS_CLIENT     [efn] ,func ,fsb ,[astadr] ,[astprm]		    */
/*									    */
/*     efn    = number of event flag to set on completion		    */
/*									    */
/*     func   = function code specifying action to be performed		    */
/*									    */
/*     fsb    = address of File System Block				    */
/*									    */
/*     astadr = address of entry mask of AST routine			    */
/*									    */
/*     astprm = value to be passed to AST routine as argument		    */
/*									    */
#define	 sys$xfs_client	 SYS$XFS_CLIENT
int sys$xfs_client(__unknown_params);
/*  $XFS_SERVER								    */
/*									    */
/*    Call the XFS server						    */
/*									    */
/*     $XFS_SERVER     [efn] ,func ,fsb ,[astadr] ,[astprm]		    */
/*									    */
/*     efn    = number of event flag to set on completion		    */
/*									    */
/*     func   = function code specifying action to be performed		    */
/*									    */
/*     fsb    = address of File System Block				    */
/*									    */
/*     astadr = address of entry mask of AST routine			    */
/*									    */
/*     astprm = value to be passed to AST routine as argument		    */
/*									    */
#define	 sys$xfs_server	 SYS$XFS_SERVER
int sys$xfs_server(__unknown_params);
/*  $DCLRNH								    */
/*									    */
/*    Declare Restart Handler						    */
/*									    */
/*     $DCLRNH	desblk							    */
/*									    */
/*     desblk = address of handler control block containing:		    */
/*									    */
/*	+-------------------------------+				    */
/*	|	  forward link		|				    */
/*	+-------------------------------+				    */
/*	|   restart handler address	|				    */
/*	+-------------------------------+				    */
/*	|	 argument count		|				    */
/*	+-------------------------------+				    */
/*	|     reserved, must be zero	|				    */
/*	+-------------------------------+				    */
/*	|  address to store event code	|				    */
/*	+-------------------------------+				    */
/*	|     additional arguments	|				    */
/*	+--   for restart handler,    --+				    */
/*	|	     if any		|				    */
/*	+-------------------------------+				    */
/*									    */
#define	 sys$dclrnh  SYS$DCLRNH
int sys$dclrnh(__unknown_params);
/*  $CANRNH								    */
/*									    */
/*    Cancel Restart Handler						    */
/*									    */
/*     $CANRNH	[desblk]						    */
/*									    */
/*     desblk = address of handler control block describing		    */
/*		handler to be deleted.	If 0, delete all		    */
/*									    */
#define	 sys$canrnh  SYS$CANRNH
int sys$canrnh(__unknown_params);
/*									    */
/*  $ABORT_TRANS							    */
/*									    */
/*    Abort a transaction						    */
/*									    */
/*	$ABORT_TRANS	 [efn], [flags], iosb [, [astadr], [astprm],	    */
/*	($ABORT_TRANSW)	 [tid], [reason], [bid]]			    */
/*									    */
/*	efn	= event flag to be set at completion			    */
/*	flags	= operation flags					    */
/*	iosb	= address of a quadword I/O status block		    */
/*	astadr	= address of an entry mask of AST routine		    */
/*	astprm	= value to be passed to AST routine as an argument	    */
/*	tid	= identifier of transaction to be aborted		    */
/*	reason	= optional extended abort reason code			    */
/*	bid	= identifier of transaction branch to be aborted	    */
/*									    */
#define	 sys$abort_trans  SYS$ABORT_TRANS
int sys$abort_trans(__unknown_params);
#define	 sys$abort_transw  SYS$ABORT_TRANSW
int sys$abort_transw(__unknown_params);
/*									    */
/*  $ACK_EVENT								    */
/*									    */
/*    Acknowledge a resource manager transaction event			    */
/*									    */
/*	$ACK_REPORT	    [flags], report_id, report_reply, [, [reason],  */
/*			    [beftime], [afttime], [part_name], [rm_context], */
/*			    [timout]]					    */
/*									    */
/*	flags		= operation flags				    */
/*	report_id	= participant id value				    */
/*	report_reply	= value of completion status			    */
/*	reason		= extended abort reason code (for veto vote)	    */
/*	beftim		= lower bound of commit timestamp		    */
/*	afttim		= upper bound of commit timestamp		    */
/*	part_name	= address of participant name descriptor	    */
/*	rm_context	= RM private value to be passed to evt_rtn	    */
/*	timout		= transaction execution time-out value		    */
/*									    */
#define	 sys$ack_event	SYS$ACK_EVENT
int sys$ack_event(__unknown_params);
/*									    */
/* $ADD_BRANCH								    */
/*									    */
/*    Add a transaction branch						    */
/*									    */
/*	$ADD_BRANCH	[efn], [flags], iosb, [astadr], [astprm],	    */
/*	($ADD_BRANCHW)	tid, tm_name, bid				    */
/*									    */
/*	efn	= event flag to be set at completion			    */
/*	flags	= operation flags					    */
/*	iosb	= address of a quadword I/O status block		    */
/*	astadr	= address of an entry mask of AST routine		    */
/*	astprm	= value to be passed to AST routine as an argument	    */
/*	tid	= transaction id for this branch			    */
/*	tm_name = address of commit domain name descriptor		    */
/*	bid	= address to receive new branch identifier		    */
/*									    */
#define	 sys$add_branch	 SYS$ADD_BRANCH
int sys$add_branch(__unknown_params);
#define	 sys$add_branchw  SYS$ADD_BRANCHW
int sys$add_branchw(__unknown_params);
/*									    */
/* $CREATE_BRANCH							    */
/*									    */
/*    Create a transaction branch					    */
/*									    */
/*	$CREATE_BRANCH =    [efn], [flags], iosb, [astadr], [astprm],	    */
/*	($CREATE_BRANCHW)   tid, bid [,[timout], [acmode], [tx_class]]	    */
/*									    */
/*	efn	= event flag to be set at completion			    */
/*	flags	= operation flags					    */
/*	iosb	= address of a quadword I/O status block		    */
/*	astadr	= address of an entry mask of AST routine		    */
/*	astprm	= value to be passed to AST routine as an argument	    */
/*	tid	= transaction id for this branch			    */
/*	bid	= address to receive new branch identifier		    */
/*	timout	= transaction execution time-out value			    */
/*	acmode	= access mode for $CREATE_BRANCH call			    */
/*	tx_class= user transaction class name				    */
/*									    */
#define	 sys$create_branch  SYS$CREATE_BRANCH
int sys$create_branch(__unknown_params);
#define	 sys$create_branchw  SYS$CREATE_BRANCHW
int sys$create_branchw(__unknown_params);
/*									    */
/*  $DECLARE_RM		[efn], [flags], iosb, [astadr], [astprm],	    */
/*    ($DECLARE_RMW)	rm_id, event_handler [, [part_name],		    */
/*			[rm_context], [acmode], [tm_log_id], [event_mask]]  */
/*									    */
/*    Declare Resource Manager to DDTM					    */
/*									    */
/*	efn	    = event flag to set upon completion			    */
/*	flags	    = operation flags					    */
/*	iosb	    = address of I/O status block			    */
/*	astadr	    = address of entry mask of AST routine		    */
/*	astprm	    = value to be passed to AST routine			    */
/*	rm_id	    = address of longword to receive resource manager id    */
/*	event_rtn   = address of entry mask of transaction event routine    */
/*	part_name   = address of resource manager name descriptor	    */
/*	rm_context  = RM private value to be passed to evt_rtn		    */
/*	acmode	    = value of access mode in which to invoke evt_rtn	    */
/*	tm_log_id   = transaction manager log id for validation checks	    */
/*	event_mask  = mask of events required by this resource manager	    */
/*									    */
#define	 sys$declare_rm	 SYS$DECLARE_RM
int sys$declare_rm(__unknown_params);
#define	 sys$declare_rmw  SYS$DECLARE_RMW
int sys$declare_rmw(__unknown_params);
/*									    */
/*  $END_BRANCH								    */
/*									    */
/*    End an active branch of a transaction				    */
/*									    */
/*	$END_BRANCH	[efn], [flags], iosb, [astadr], [astprm],	    */
/*	($END_BRANCHW)	tid, bid					    */
/*									    */
/*	efn	= event flag to be set at completion			    */
/*	flags	= operation flags					    */
/*	iosb	= address of a quadword I/O status block		    */
/*	astadr	= address of a completion AST routine entry mask	    */
/*	astprm	= value to be passed to completion AST routine		    */
/*	tid	= address of transaction identifier			    */
/*	bid	= address of transaction branch identifier		    */
/*									    */
#define	 sys$end_branch	 SYS$END_BRANCH
int sys$end_branch(__unknown_params);
#define	 sys$end_branchw  SYS$END_BRANCHW
int sys$end_branchw(__unknown_params);
/*									    */
/*  $END_TRANS								    */
/*									    */
/*    Commit a transaction						    */
/*									    */
/*	$END_TRANS	[efn], [flags], iosb [, [astadr], [astprm], [tid] ] */
/*	  ($END_TRANSW)							    */
/*									    */
/*	efn	= event flag to be set at completion			    */
/*	flags	= operation flags					    */
/*	iosb	= address of a quadword I/O status block		    */
/*	astadr	= address of an entry mask of AST routine		    */
/*	astprm	= value to be passed to AST routine as an argument	    */
/*	tid	= identifier of transaction to be committed		    */
/*									    */
#define	 sys$end_trans	SYS$END_TRANS
int sys$end_trans(__unknown_params);
#define	 sys$end_transw	 SYS$END_TRANSW
int sys$end_transw(__unknown_params);
/*									    */
/*  $FINISH_RMOP							    */
/*									    */
/*    Finish resource manager transaction event operation		    */
/*									    */
/*	$FINISH_RMOP	[efn], [flags], iosb, [astadr], [astprm],	    */
/*	  ($FINISH_RMOPW)	  part_id, retsts [, [reason],		    */
/*				  [beftime], [afttime]			    */
/*									    */
/*	efn	= event flag to set upon completion			    */
/*	flags	= operation flags					    */
/*	iosb	= address of I/O status block				    */
/*	astadr	= address of entry mask of AST routine			    */
/*	astprm	= value to be passed to AST routine			    */
/*	part_id = participant id value					    */
/*	retsts	= value of completion status				    */
/*	reason	= extended abort reason code (for veto vote)		    */
/*	beftim	= lower bound of commit timestamp			    */
/*	afttim	= upper bound of commit timestamp			    */
/*									    */
#define	 sys$finish_rmop  SYS$FINISH_RMOP
int sys$finish_rmop(__unknown_params);
#define	 sys$finish_rmopw  SYS$FINISH_RMOPW
int sys$finish_rmopw(__unknown_params);
/*									    */
/*  $FORGET_RM								    */
/*									    */
/*    Forget a resource manager previously declared to DECdtm		    */
/*									    */
/*	$FORGET_RM	[efn], [flags], iosb, [astadr], [astprm], rm_id	    */
/*	  ($FORGET_RMW)							    */
/*									    */
/*	efn	= event flag to set upon completion			    */
/*	flags	= operation flags					    */
/*	iosb	= address of I/O status block				    */
/*	astadr	= address of entry mask of AST routine			    */
/*	astprm	= value to be passed to AST routine			    */
/*	rm_id	= resource manager id value				    */
/*									    */
#define	 sys$forget_rm	SYS$FORGET_RM
int sys$forget_rm(__unknown_params);
#define	 sys$forget_rmw	 SYS$FORGET_RMW
int sys$forget_rmw(__unknown_params);
/*									    */
/*  $GET_DEFAULT_TRANS							    */
/*									    */
/*    Get the current process default transaction			    */
/*									    */
/*	$GET_DEFAULT_TRANS	tid					    */
/*									    */
/*	tid	= identifier of the process default transaction		    */
/*									    */
#define	 sys$get_default_trans	SYS$GET_DEFAULT_TRANS
int sys$get_default_trans(__unknown_params);
/*									    */
/*  $JOIN_RM								    */
/*									    */
/*    Join a resource manager previously started transaction		    */
/*									    */
/*	$JOIN_RM	[efn], [flags], iosb, [astadr], [astprm],	    */
/*	($JOIN_RMW)	rm_id [, [tid], [part_name], [rm_context], [timout]] */
/*									    */
/*	efn	    = event flag to set upon completion			    */
/*	flags	    = operation flags					    */
/*	iosb	    = address of I/O status block			    */
/*	astadr	    = address of entry mask of AST routine		    */
/*	astprm	    = value to be passed to AST routine			    */
/*	rm_id	    = resource manager id value				    */
/*	tid	    = address of transaction id				    */
/*	part_name   = participant name string				    */
/*	rm_context  = RM private value to pass to event routine		    */
/*	timout	    = transaction execution time-out value		    */
/*									    */
#define	 sys$join_rm  SYS$JOIN_RM
int sys$join_rm(__unknown_params);
#define	 sys$join_rmw  SYS$JOIN_RMW
int sys$join_rmw(__unknown_params);
/*									    */
/*  $RECOVER								    */
/*									    */
/*	Recover transaction state.					    */
/*									    */
/*	$RECOVER	[efn], [flags], iosb, [astadr], [astprm],	    */
/*	($RECOVERW)	recovery_prefix, event_handler, tm_log_id [,	    */
/*			[tid], [node], [rm_context], [acmode], [max_events]] */
/*									    */
/*	efn		= event flag to set upon completion		    */
/*	flags		= operation flags				    */
/*	iosb		= address of I/O status block			    */
/*	astadr		= address of entry mask of AST routine		    */
/*	astprm		= value to be passed to AST routine		    */
/*	recovery_prefix = address of search name descriptor		    */
/*	event_handler	= address of entry mask of recovery event routine   */
/*	tm_log_id	= address TM log identifier			    */
/*	tid		= address of transaction identifier		    */
/*	node		= address of node name descriptor		    */
/*	rm_context	= value to be passed via event block to event_handler */
/*	acmode		= value of access mode in which event ASTs should be delivered */
/*	max_events	= value of maximum number of events to be queued concurrently */
/*									    */
#define	 sys$recover  SYS$RECOVER
int sys$recover(__unknown_params);
#define	 sys$recoverw  SYS$RECOVERW
int sys$recoverw(__unknown_params);
/*									    */
/*  $SET_DEFAULT_TRANS							    */
/*									    */
/*    Set up the process default transaction				    */
/*									    */
/*	$SET_DEFAULT_TRANS	[efn], [flags], iosb [, [astadr], [astprm], */
/*	($SET_DEFAULT_TRANSW)	 [new_tid], [old_tid]]			    */
/*									    */
/*	efn	= event flag to be set at completion			    */
/*	flags	= operation flags					    */
/*	iosb	= address of a quadword I/O status block		    */
/*	astadr	= address of an entry mask of AST routine		    */
/*	astprm	= value to be passed to AST routine as an argument	    */
/*	new_tid = identifier of new process default transaction		    */
/*	old_tid = identifier of superceded process default transaction	    */
/*									    */
#define	 sys$set_default_trans	SYS$SET_DEFAULT_TRANS
int sys$set_default_trans(__unknown_params);
#define	 sys$set_default_transw	 SYS$SET_DEFAULT_TRANSW
int sys$set_default_transw(__unknown_params);
/*									    */
/* $START_BRANCH							    */
/*									    */
/*    Start a transaction branch					    */
/*									    */
/*	$START_BRANCH	    [efn], [flags], iosb, [astadr], [astprm],	    */
/*	($START_BRANCHW)    tid, tm_name, bid, [, [timout], [acmode], [tx_class]] */
/*									    */
/*	efn	= event flag to be set at completion			    */
/*	flags	= operation flags					    */
/*	iosb	= address of a quadword I/O status block		    */
/*	astadr	= address of an entry mask of AST routine		    */
/*	astprm	= value to be passed to AST routine as an argument	    */
/*	tid	= transaction id for this branch			    */
/*	tm_name = address of parent commit domain name descriptor	    */
/*	bid	= address of branch identifier				    */
/*	timout	= transaction execution time-out value			    */
/*	acmode	= access mode for $READY_TO_COMMIT call			    */
/*	tx_class= user transaction class name				    */
/*									    */
#define	 sys$start_branch  SYS$START_BRANCH
int sys$start_branch(__unknown_params);
#define	 sys$start_branchw  SYS$START_BRANCHW
int sys$start_branchw(__unknown_params);
/*									    */
/*  $START_TRANS							    */
/*									    */
/*    Start a new transaction						    */
/*									    */
/*	$START_TRANS	    [efn], [flags], iosb [, [astadr], [astprm],	    */
/*	($START_TRANSW)	    [tid], [timout], [acmode], [tx_class]]	    */
/*									    */
/*	efn	= event flag to be set at completion			    */
/*	flags	= operation flags					    */
/*	iosb	= address of a quadword I/O status block		    */
/*	astadr	= address of an entry mask of AST routine		    */
/*	astprm	= value to be passed to AST routine as an argument	    */
/*	tid	= identifier of transaction just started		    */
/*	timout	= transaction execution time-out value			    */
/*	acmode	= outermost access mode allowed to end the transaction	    */
/*	tx_class= user transaction class name				    */
/*									    */
#define	 sys$start_trans  SYS$START_TRANS
int sys$start_trans(__unknown_params);
#define	 sys$start_transw  SYS$START_TRANSW
int sys$start_transw(__unknown_params);
/*									    */
/*  $TRANS_EVENT							    */
/*									    */
/*    Start a new transaction						    */
/*									    */
/*	$TRANS_EVENT	  [efn], [flags], iosb, [astadr], [astprm],	    */
/*	($TRANS_EVENTW)	  tid, tx_event [, [cmttime], [beftime], [afttime]] */
/*									    */
/*	efn	    = event flag to be set at completion		    */
/*	flags	    = operation flags					    */
/*	iosb	    = address of a quadword I/O status block		    */
/*	astadr	    = address of an entry mask of AST routine		    */
/*	astprm	    = value to be passed to AST routine as an argument	    */
/*	tid	    = identifier of transaction just started		    */
/*	tx_event    = transaction transition event			    */
/*	cmttime	    = commit timestamp					    */
/*	beftime	    = lower bound of commit timestamp			    */
/*	afttime	    = upper bound of commit timestamp			    */
/*									    */
#define	 sys$trans_event  SYS$TRANS_EVENT
int sys$trans_event(__unknown_params);
#define	 sys$trans_eventw  SYS$TRANS_EVENTW
int sys$trans_eventw(__unknown_params);
/*  $TSTCLUEVT								    */
/*									    */
/*    Test Cluster Event Notification					    */
/*									    */
/*     $TSTCLUEVT [handle], [acmode], [event]				    */
/*									    */
/*     handle = address of handle					    */
/*									    */
/*     acmode = access mode of AST					    */
/*									    */
/*     event   = code indicating type of event				    */
/*									    */
#define	 sys$tstcluevt	SYS$TSTCLUEVT
int sys$tstcluevt(__unknown_params);
/*	PTD$CREATE							    */
/*									    */
/*	Create a pseudo terminal					    */
/*									    */
/*	PTD$CREATE	CHAN, [ACMODE], [CHARBUFF], [BUFLEN], [HANGUP_AST],   */
/*			[HANGUP_ASTPRM], [AST_ACMODE], INADR		    */
/*									    */
/*	CHAN	      = Address of word to receive channel number assigned  */
/*	ACMODE	      = Access mode associated with channel		    */
/*	CHARBUFF      = Address ofa 3 - 5 longword array containing device  */
/*			characteristics.				    */
/*	BUFLEN	      = Length of characteristics buffer in bytes either    */
/*			12,  16, or 20					    */
/*	ASTADR	      = Address of entry mask of AST routine		    */
/*	ASTPRM	      = Value to be passed to AST routine		    */
/*	AST_ACMODE    = Access mode for whjich the AST is to be delivered   */
/*	INADR	      = Address of 2-longword array containing starting and   */
/*			ending virtual address of pages to be used as	    */
/*			I/O buffers					    */
#define	 ptd$create  PTD$CREATE
int ptd$create(__unknown_params);
/*	PTD$READ							    */
/*									    */
/*	Read data from the pseudo terminal				    */
/*									    */
/*	PTD$READ(W)	[EFN], CHAN, [ASTADR], [ASTPRM], READBUF, READBUF_LEN */
/*	EFN	      = Number of event flag to set on completion	    */
/*	CHAN	      = Word containing number of channel on which I/O is to be performed */
/*	ASTADR	      = Address of entry mask of AST routine		    */
/*	ASTPRM	      = Value to be passed to AST routine		    */
/*	READBUF	      = Address character string to hold characters read    */
/*	READBUF_LEN   = Number of character to be read from pseudo terminal */
#define	 ptd$read  PTD$READ
int ptd$read(__unknown_params);
#define	 ptd$readw  PTD$READW
int ptd$readw(__unknown_params);
/*	PTD$WRITE							    */
/*									    */
/*	Write data to the pseudo terminal				    */
/*									    */
/*	PTD$WRITE	CHAN, [ASTADR], [ASTPRM], WRTBUF, WRTBUF_LEN,	    */
/*			[ECHOBUF], ECHOBUF_LEN]				    */
/*	CHAN	      = Word containing number of channel on which I/O is to be performed */
/*	ASTADR	      = Address of entry mask of AST routine		    */
/*	ASTPRM	      = Value to be passed to AST routine		    */
/*	WRTBUF	      = Address of character string containing character to write to  */
/*			pseudo terminal					    */
/*	WRTBUF_LEN    = Number of characters to write to pseudo terminal    */
/*	ECHOBUF	      = Address character string to hold characters read    */
/*	ECHOBUF_LEN   = Number of character to be read from pseudo terminal */
#define	 ptd$write  PTD$WRITE
int ptd$write(__unknown_params);
/*	PTD$SET_EVENT_NOTIFICATION					    */
/*									    */
/*	Enable or disable terminal event notification ASTs		    */
/*									    */
/*	PTD$SET_EVENT_NOTIFICATION	CHAN, ASTADR, [ASTPRM], [ACMODE],   */
/*					TYPE				    */
/*	CHAN	      = Word containing number of channel on which I/O is to be performed */
/*	ASTADR	      = Address of entry mask of AST routine		    */
/*	ASTPRM	      = Value to be passed to AST routine		    */
/*	ACMODE	      = Access mode for whjich the AST is to be delivered   */
/*	TYPE	      = Longword containing				    */
#define	 ptd$set_event_notification  PTD$SET_EVENT_NOTIFICATION
int ptd$set_event_notification(__unknown_params);
/*	PTD$CANCEL							    */
/*									    */
/*	Cancel queued control connection read request(s)		    */
/*									    */
/*	PTD$CANCEL	CHAN						    */
/*									    */
/*	CHAN	      = Word containing number of channel on which I/O is to be performed */
#define	 ptd$cancel  PTD$CANCEL
int ptd$cancel(__unknown_params);
/*	PTD$DELETE							    */
/*									    */
/*	Delete a pseudo terminal					    */
/*									    */
/*	PTD$DELETE	CHAN						    */
/*									    */
/*	CHAN	      = Word containing number of channel on which I/O is to be performed */
#define	 ptd$delete  PTD$DELETE
int ptd$delete(__unknown_params);
/*	PTD$DECTERM_SET_PAGE_SIZE					    */
/*									    */
/*	Change terminal page length and width				    */
/*									    */
/*	PTD$DECTERM_SET_PAGE_SIZE	CHAN, PAGE_LEN, PAGE_WIDTH	    */
/*									    */
/*	CHAN	      = Word containing number of channel on which I/O is to be performed */
/*	PAGE_LEN      = Longword containing new page length of terminal	    */
/*	PAGE_WIDTH    = Longword containing new page width of terminal	    */
#define	 ptd$decterm_set_page_size  PTD$DECTERM_SET_PAGE_SIZE
int ptd$decterm_set_page_size(__unknown_params);
/*  $POSIX_FORK_CONTROL							    */
/*									    */
/*  Control POSIX fork() operations					    */
/*									    */
/*     $POSIX_FORK_CONTROL     cntrl , [when] , [handler] , [arg] , [ac	    */
/*									    */
/*     cntrl  = constant defining what control routine is to do		    */
/*									    */
/*     when   = bit array of when handler is to be called		    */
/*									    */
/*     handler= handler address						    */
/*									    */
/*     arg    = arg value that is passed back to the handler		    */
/*									    */
/*     acmode = access mode at which to make the specified callback	    */
#define	 sys$posix_fork_control	 SYS$POSIX_FORK_CONTROL
int sys$posix_fork_control(__unknown_params);
/*  $START_ALIGN_FAULT_REPORT						    */
/*									    */
/*  Start user-image alignment fault reporting				    */
/*									    */
/*	$START_ALIGN_FAULT_REPORT report_method, [buffer, length]	    */
/*									    */
/*	report_method	= either AFR$C_EXCEPTION or AFR$C_BUFFERED	    */
/*									    */
/*	report_buffer	 buffer to use to save alignment fault		    */
/*			  data if the BUFFERED method is specified.	    */
/*									    */
/*	buffer_length		= the size in bytes of the user buffer	    */
#define	 sys$start_align_fault_report  SYS$START_ALIGN_FAULT_REPORT
int sys$start_align_fault_report(__unknown_params);
/*  $GET_ALIGN_FAULT_DATA						    */
/*									    */
/*  Get alignment fault data from the collector.			    */
/*									    */
/*	$GET_ALIGN_FAULT_DATA buffer, buffer_size, return_size		    */
/*									    */
/*	buffer		= Buffer in which to save the alignment fault	    */
/*			  data.						    */
/*									    */
/*	buffer_size	= The size in bytes of the user buffer		    */
/*									    */
/*	return_size	= Address of a longword in which to return the	    */
/*			  size of the alignment fault data found.	    */
#define	 sys$get_align_fault_data  SYS$GET_ALIGN_FAULT_DATA
int sys$get_align_fault_data(__unknown_params);
/*  $STOP_ALIGN_FAULT_REPORT						    */
/*									    */
/*  Stop user-image alignment fault reporting				    */
/*									    */
/*	$STOP_ALIGN_FAULT_REPORT					    */
/*									    */
#define	 sys$stop_align_fault_report  SYS$STOP_ALIGN_FAULT_REPORT
int sys$stop_align_fault_report(void);
/*  $PERM_REPORT_ALIGN_FAULT						    */
/*									    */
/*  Start process permanent alignment fault reporting.			    */
/*									    */
/*	$PERM_REPORT_ALIGN_FAULT					    */
/*									    */
#define	 sys$perm_report_align_fault  SYS$PERM_REPORT_ALIGN_FAULT
int sys$perm_report_align_fault(void);
/*  $PERM_DIS_ALIGN_FAULT_REPORT					    */
/*									    */
/*  Start process permanent alignment fault reporting.			    */
/*									    */
/*	$PERM_DIS_ALIGN_FAULT_REPORT					    */
/*									    */
#define	 sys$perm_dis_align_fault_report  SYS$PERM_DIS_ALIGN_FAULT_REPORT
int sys$perm_dis_align_fault_report(void);
/*  $INIT_SYS_ALIGN_FAULT_REPORT					    */
/*									    */
/*  Start system wide alignment fault reporting.			    */
/*									    */
/*	$INIT_SYS_ALIGN_FAULT_REPORT match_table, buffer_pages		    */
/*									    */
/*	match_table	= Array of longwords used to restrict		    */
/*			  the alignment faults reported			    */
/*									    */
/*	buffer_size	= The number of bytes to use to save alignment	    */
/*			  fault data.					    */
/*	flags		= can be either 0 or AFR$M_USER_INFO		    */
/*									    */
#define	 sys$init_sys_align_fault_report  SYS$INIT_SYS_ALIGN_FAULT_REPORT
int sys$init_sys_align_fault_report(__unknown_params);
/*  $GET_SYS_ALIGN_FAULT_DATA						    */
/*									    */
/*  Get alignment fault data from the system wide collector.		    */
/*									    */
/*	$GET_SYS_ALIGN_FAULT_DATA buffer, buffer_size, return_size	    */
/*									    */
/*	buffer		= Buffer in which to save the alignment fault	    */
/*			  data.						    */
/*									    */
/*	buffer_size	= The size in bytes of the user buffer		    */
/*									    */
/*	return_size	= Address of a longword in which to return the	    */
/*			  size of the alignment fault data found.	    */
#define	 sys$get_sys_align_fault_data  SYS$GET_SYS_ALIGN_FAULT_DATA
int sys$get_sys_align_fault_data(__unknown_params);
/*  $STOP_SYS_ALIGN_FAULT_REPORT					    */
/*									    */
/*  Stop system-wide alignment fault reporting				    */
/*									    */
/*	$STOP_SYS_ALIGN_FAULT_REPORT					    */
/*									    */
#define	 sys$stop_sys_align_fault_report  SYS$STOP_SYS_ALIGN_FAULT_REPORT
int sys$stop_sys_align_fault_report(void);
/*  $RESCHED								    */
/*									    */
/*  Request voluntary preemption of current process			    */
/*									    */
/*	$RESCHED							    */
/*									    */
#define	 sys$resched  SYS$RESCHED
int sys$resched(void);
/*									    */
/*  $SCHED								    */
/*									    */
/*    Control class scheduler						    */
/*									    */
/*	$SCHED	func, P1, P2, P3					    */
/*									    */
/*	func	= function code (see CSHDEFS in STARLET)		    */
/*									    */
/*	P1	= buffer address, AST entry point address, or 0		    */
/*									    */
/*	P2	= buffer length address or AST acmode or PID or 0	    */
/*									    */
/*	P3	= entry size of a single buffer element or 0		    */
#define	 sys$sched  SYS$SCHED
int sys$sched(__unknown_params);

#pragma __member_alignment __restore
#ifdef __cplusplus
    }
#endif
#pragma __standard

#endif /* __STARLET_LOADED */

